2018-08-15  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated version to 7.2.5.3229 for stable release

	Fixed layout of binary .tar.gz file

2018-08-15  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed VS projects

2018-08-15  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed Conductor VAD version

	Fixed typo in variable

	Removed TLSv1 from default protocol list

	Fixed typo

	Merge branch 'feature/markdown' into develop/7

	Updated README files to markdown format for GitHub viewing

	Removed deprecated file

	Created symlinks for files that autoconf/automake check

	Moved files to .md extension for GitHub viewing

	Updated engine to 3229 for release

	Updated NEWS for upcoming release

	Updated ChangeLog for upcoming release

	Fixed links

	Added option for less verbose builds

	Added better version checking for OpenSSL to configure

2018-08-12  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issue returing correct uiser after TLS login

	Updated Conductor version

	Fixed some compiler warnings for WebDAV browser

	Fixed footer on WebDAV skin page

	Added item creator as a field in the properties when not empty

	Moved 'OAuth Service Binding' to 'Web Services'

	Fixed clean up used files after build

	Fixed selection of category in the database browser page

2018-08-11  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed initial fill of caches after server restart (closes issue #747)

	Fixed increase cache size for language and datatype caches

	Fixed bif_sprintf() in order to process string arguments that get long values but the format precision is small enough.

	Added new function t_set_delete_nth()

	Fixed check for infinite loop in SQL compiler

	Fixed checking BIF names

	Fixed issues with Mac OS X WebDAV mapping

	Fixed issue with cast numeric to bool

	Fixed issue on TTLP with flag 4096 if a namespace declaration is repeated twice

	Added support for ttlp_triples_for_prefix

2018-07-10  Patrick van Kleef  <pkleef@openlinksw.com>

	Removed rwlock support from single thread library

	Fixed missing files from distribution

	Added defines for virtuoso odbc extension

	Fixed issue with wchar_t check

	Fixed small issues in odbcsdk header files

2018-07-09  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated version to 7.2.5-rc2

	Updated Conductor VAD version

	Fixed issues in properties, locks and mkcol using Litmus testsuite

	Fixed selection to use a RES_FULL_PATH instead a procedure.

	Fixed missing PL for /sparql?nsdecl

2018-07-09  Ted Thibodeau Jr  <tthibodeau@openlinksw.com>

	Fixed grammar

2018-07-06  Patrick van Kleef  <pkleef@openlinksw.com>

	Remove TLSv1 protocol from default protocol list

	As the TLSv1 protocol is vunerable against certain attacks, it should not be in the default list for
	server side connectivity.

	It can still be turned on by the dba, should this protocol be needed for legacy browsers and/or devices.

2018-07-03  Andrei Meliș  <andrei.melis@eaudeweb.ro>

	Fix a typo

	backup_dump instead of backup-dump

2018-07-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild providers

	Fixed issue with MALLOC_DEBUG

	Fixed allocation hook

	Fixed spelling

	Fixed compiler warnings

	Updated Conductor VAD version

	Fixed bug with PROPFIND and bad XML (without correct namespace) as body

	Updated WebDAV tests to support RDF 4918 specification

	Added option to delete locked files by admin users

	Fixed issues related to the LITMUS testsuite for DAV

	Fixed readability of SHOW command

2018-07-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed use varchar(64) for name of det in order to keep smaller row limit

	This is only done for new databases, to avoid unwanted warnings on startup.

2018-07-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Optimized RDF meta data extractor

	Fixed issues related to S3 DET folder definition

2018-07-03  Ted Thibodeau Jr  <tthibodeau@openlinksw.com>

	Fixed spelling, grammar and punctuation

2018-06-27  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed file permissions

	Merge branch 'feature/2018_06_22_fix_vs2017_build' into develop/7

2018-06-27  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Dktypes.h defines for VS2017

	Fix SQL_FILES_DAV in sqlcode.bat

	Add new file git_head.c to wi.vcproj

	Fix for properly compile with VS2017

	Fix version info for virtodbc

	Fix VS2017 compile errors

	Fix issues with VS2017

2018-06-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed show all ABORTED and FAILED tests

	Fixed link order of iODBC libraries

	Fixed checking for installed versions of iODBC development headers and libraries

2018-06-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issues checking header files

	Checking header files on many systems requires the use of the C compiler and not the standalone cpp program.

	Compiling the virtuoso JDBC drivers does require the standalone cpp program.

2018-06-22  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed extra ']' chars on configure --help

2018-06-13  Patrick van Kleef  <pkleef@openlinksw.com>

	Added options for SPARQL endpoint and Faceted browser in left menu

2018-06-07  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated version to 7.2.5-rc1

	Fixed rewrite rule export format

	Fixed check for installed VAD package

	Fixed encoding of URL when using describe or about links

	Fixed SPARQL DELETE for quads did not delete booleans and other inlined RDF boxes that have non-default dt twobytes but not stored in RDF_OBJ

2018-06-06  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed no not read uninitialized and unused tail of result dc

	Small code cleanup for MALLOC_DEBUG

	Fixed GPF when there is no result qst on error condition

	Fixed possible memory leak

	Fixed assert when using SIGNAL_DEBUG

	Added support for both return values as well as scalar expressions

	Fixed compiler warnings

	Added support for X-Forwarded-Proto

	Fixed memory leak

	Fixed check PL compilation for errors

	Fixed return success or fail

	Added support for application/n-triples mime type

	Fixed IRIs with utf-8-encoded punctutation in local part should not printed as ns:local, but as <...>

	Fixed memory leak in imap and pop3

	Fixed portability issue

	Added support for modifying size of SQL compiler cache

	Fixed memory leak passing error codes up the execution chain

	Added additional checks for memory leaks and other debugging checks

	Fixed readability of short iri names in explain output

2018-06-05  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issue with DAV authentication

	Fixed upgrading DAV tables with new field

2018-05-18  Patrick van Kleef  <pkleef@openlinksw.com>

	Code cleanup and removed some dependencies from ODS Framework

	Removed stubs

	Added better owner/group entity identification for filelist UI

2018-05-17  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed DAV graph permissions

	Removed old code

2018-05-16  Patrick van Kleef  <pkleef@openlinksw.com>

	Added MALLOC_DEBUG check

	Fixed documentation

	Fixed compiler warnings

	Fixed compiler warnings on PACKAGE_* and VERSION defines

	Added new function strexpect_cs for case sensitive checks

	Fixed output of mem_leaks to match format of mem_all_in_use

	Fixed issues with query and signal logs

	Fixed a missing CA chain does not mean .p12 file is bad

	Merge branch 'feature/conductor_fixes' into develop/7

	Fixed issue editing properties of doc in briefcase

	Added default options for application by redirection

	Fixed OAuth definitions

	Added Cartridge ACL mode selection to UI

	Optimized calls to some APIs using user/password properties

	Added support for LDP DET

	Merge branch 'feature/dav_fixes' into develop/7

	Fixed indendation

	Fixed DAV ACL permisssion

	Added graph security for LDP RDF data

	Fixed procedures for checking permissions

2018-05-15  Patrick van Kleef  <pkleef@openlinksw.com>

	Reformatted and small optimizations for CatFolder DET and related API functions

	Fixed issue extracting license properties used by CatFolder DET

	Fixed issue with LDP protocol using 'Slug' header value

	Removed stubs

2018-05-14  Patrick van Kleef  <pkleef@openlinksw.com>

	Merge branch 'feature/2018_04_14_fix_github738' into develop/7

	Rebuild RDF4J provider

	Updated version of RDF4J provider

2018-05-14  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for github738 (baseURI parameter not handled properly by RDF4J provider)

2018-04-15  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issues with HTTP PATCH command changing resource permissions

2018-04-05  Patrick van Kleef  <pkleef@openlinksw.com>

	Merge branch 'feature/2018_04_04_fix_bug18232' into develop/7

	Rebuild JDBC drivers

	Updated version of JDBC driver

2018-04-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix bugzilla#18232

	String values must be sent ad DV_STRING or DV_SHORT_STRING_SERIAL

2018-03-25  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed use http://..../KEY/VAL#this for RML uri template generation

	Fixed version and usage information for isql tool

	Fixed new API calls for sponger

	Fixed namespaces

	Fixed issues with PATCH not returning an error after a SPARQL error

	Updated GET command to support new redirection options

	Fixed issue with spaces in WebDAV directory names

	Fixed Conductor UI issue for specific doc types

	Updated WebDAV browser to support new redirection options

	Updated Conductor UI to support new redirection options

	Fixed Conductor UI for specific doc types

2018-03-23  Sergey Malinin  <sergmalinin@gmail.com>

	Merge pull request #722 from jhdulaney/develop/7

	Fixes to libsrc/JDBCDriverType4/virtuoso/jdbc2/Makefile.am

2018-03-22  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed missing struct members when configured  with --with-debug

2018-03-03  John Dulaney  <jdulaney@fedoraproject.org>

	Fixes to libsrc/JDBCDriverType4/virtuoso/jdbc2/Makefile.am

2018-02-27  Patrick van Kleef  <pkleef@openlinksw.com>

	Added initial documentation on building VOS on Mac OS X

2018-02-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Added support for pthread_rwlock library

	Fixed issue generating files needed for tutorials

	Added support for timeout on socket connect

	Fixed use variable number of threads of AQ

	Fixed issue building with SEM_DEBUG

	Fixed issue with DAV headers

	Added distinctive error message for each RDF loader

	Fixed GPF replaying table rename due to deref NULL result

	Fixed error message

	Fixed bad check for type of name before comparing with __grouping

	Fixed use __SQL_STATE and __SQL_MESSAGE

	Fixed issue with activitystreams

2018-02-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed for DAV browser

	* Fixed owned lost ability to edit properties of doc in Briefcase
	* Fixed LDP procedure recovery
	* Fixed issue with LDP files/folders

2018-02-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed missing response header for briefcase LDP Container Accept-Post:

	Fixed issues sponging content in the LDI DET

	Fixed always build the wiki plugins

	Fixed path to find local imagemagick.pc via pkg-config

2018-02-12  Patrick van Kleef  <pkleef@openlinksw.com>

	Removed artifact

2018-02-07  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC providers

	Updated version of JDBC driver

2018-02-07  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed  handling for timezoned date values from sparql queries

	Fixes github #709

2018-02-07  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed use %pure-parser to avoid deprecation warning on later versions of bison

	Fixed handling of Accept header with activitystreams profile

	Fixed procedure for parsing 'Accept' HTTP header

	Added overwrite flag for DynaRes creation

	Fixed Turtle 1.1 permits multiple semicolons without predicate-object pairs between them

	Fixed issues with QUERY_DEBUG

	Fixed merged query log and error report log into one

	Fixed memleak with composit boxes

	Fixed LDP related issues

	Fixed response code to 204 for PATCH command

2018-02-07  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated DynaRes DET

	* Added support for renaming DynaRes resource
	* Added option to allow overwriting DynaRes resource
	* Fixed authentication

2018-02-07  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issues relating to set and update LDP related data

	Fixed initial DB.DBA.RDF_DEFAULT_USER_PERMS_SET for user 'nobody' so /sparql endpoint can query all graphs without any performance penalty.

	Fixed return code for WebDAV PATCH command

	Updated response of the OPTIONS command for WebDAV virtual path

	Fixed return 406 if no matching Accept header found

	Update and optimize the import of resources in the RDF store

	Added separate function to create SPARQL file for LDI folders

	Fixed folder copying in briefcase should be recursive

	Fixed issue with TAGs text index

	Enable user id as group id

2018-02-06  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated Conductor VAD version

	Fixed issue changing a mime type without changing the extension

	All filter/search UI should always show a page with results

	Fixed issues with LDP

	Fixed UI for ACL and ACI definitions

	Fixed 'Dynamic Resource' folder creation

	Added 'Activity' option for LDI DET folders

	Fixed UI needs user-settable options for filesize display

	Fixed number of small issues with sync

	Updated WebDAV API functions

	Fixed 'Create Link' page after request

	Fixed label

2018-01-25  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild Jena3 provider

	Added missing source file

	Updated version of Jena3 provider

2018-01-25  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issue github #687

	Add set/getIsolationLevel to VirtDataset

2018-01-22  Jerven Bolleman  <jerven.bolleman@isb-sib.ch>

	Travis CI setup to test with multiple C compilers and config options allowing the opensource version branches to be tested automatically.

2018-01-18  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed XMLA service to select TIMESTAMP, XML_ENTITY, IRI_ID columns

2018-01-02  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated Copyright to include 2018

2017-12-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild providers

	Updated version of JDBC, Jena, RDF4j and Sesame drivers

2017-12-21  Sergey Malinin  <smalinin@openlinksw.com>

	Fix: github #701 xsd:boolean literals returned as xsd:string literals

2017-12-21  Sergey Malinin  <smalinin@openlinksw.com>

	Fix github #702

	The new versions of providers Jena/RDF4J set/getNamespaces in global cache, prev versions worked with connection cache.

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/backport' into develop/7

	Fixed prototypes

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue pred_gen_1 should be inside cond gen with preceding GENERATE_CONTROL_EXP

	(closes issue 693)

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to explicitly set required security level (digest vs basic auth)

	Fixed bad url http:/ -> http://

	Fixed missing patch

	Fixed issue tracking wrong datastruct

	Added extra debug events for compiled queries

	Fixed issue with file system applications

	Fixed DB.DBA.XML_URI_GET() to handle 'file:path', 'file:/path', 'file://path', and 'file:///path'

	Fixed missing POP_QR_RESET

	Fixed allocation size of box

	Fixed GPF performing strlen of a DV_DB_NULL box

	Fixed bounds check

	Initial support for non-ASCII IRI format strings

	Fixed functions which can return multiple types should use bt_any

	Fixed issue

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with shcompo cache size

	When limit on population of shcompo_cache is much smaller than
	number of buckets of cache hashtable then removal of random redundand
	entry costs a lot, bigger limit is better.

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed GPF in log_query_event when qr is NULL

	Set default value for ThreadCleanupInterval and ResourceCleanupInterval to 1

	Fixed commented out call to dk_check_tree_mp_or_plain()

	Fixed issue with dc_values shared between two freeable state slots

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated RDF_MAKE_S_O_FROM_PARTS_AND_FLAGS_C() etc

	* Added support for flags 0x100 and 0x200
	* Fixed issue with Jena object values that are URLs
	* Fixed several small issue

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed various bugs

	Fixed handling of Accept q params

	Fixed Conductor's RDF View wizard now supports table and column names with more weird characters (@, `, ~, 8-bit)

	Fixed RDB2RDF VAD version

	Fixed typo

	Fixed support of weird column names in R2RML

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated imagemagick plugin

	* Added error information from ImageMagick when failing to read blob
	* Replaced deprecated API functions
	* Fixed issue resizing/cropping gif with transparent background

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed MTX_DEBUG in mutex_enter for Windows

	Fixed http_cli_get_doc_str() to return either long or short url based on protocol and proxy settings

	Fixed overflow in bif_atoi()

	Added support for DV_RDF boxes in bif_isnumeric()

	Fixed calls to sec_tb_check and sec_proc_check got U_ID and G_ID swapped

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new bif functions

	* substr()
	* rdf_is_literal_impl()
	* is_plain_bnode_iri_id()
	* iri_id_to_blank_nodeid(),
	* all_allocs_at_line() and  new_allocs_after() for MALLOC_DEBUG

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing restore of saved value

	Added bif_callstack_dump()

	Added support for RDF boxes and NVARCHAR in bif_sprintf and the like

	Added sequence_next_inc_and_log()

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new function bif_one_of_these()

	This function accepts vectors of variants as arguments and
	different representations of strings now "match" each other more
	naturally

2017-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed string_to_file() must flush file-resident string sessions before obtaining the session length

	Merge branch 'feature/explain' into develop/7

	Fixed readability and indentation of EXPLAIN output

	Backported constants uname_nodeID_ns_0 and uname_nodeID_ns_8192

	Merge branch 'feature/conductor' into develop/7

	Updated Conductor VAD version

	Added insert option after searching RDF prefixes

	Added supoort for JSON and JSON-LD in rewrite rules for SPARQL query output

2017-12-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bad URL http:/www.purl.org/ -> http://purl.org/

	Closes github #669

2017-11-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed st_contains and other geo predicates

	they were tried on O by geo node without trying on __ro2lo(O) as plain BIFs for final accurate result

2017-11-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with generating msdtc plugin

2017-11-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Cleaned up plugin code generation

	Added pkg.m4 so we can create a working configure even if pkg-config development is not installed

2017-11-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check for GRDDL port

	Added missing function

	Fixed memleak when compiled with MTX_DEBUG

	Fixed print errno on error

	Fixed check for NULL pointer

	Fixed SMALLEST_POSSIBLE_POINTER is now 0x100000

	Merge branch 'feature/sparql' into develop/7

	Disabled old SPARQL_DEBUG check

	Fixed return internal sparql error instead of GPF

2017-11-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new functions

	* Added bif_result_names_get_count()
	* Added bif_explain_query_sources()
	* Fixed bif_exec_metadata() and bif_exec_score() to handle wide string arguments in uniform way

2017-11-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added FLAGS enable_spar_logfile and enable_sqlc_logfile

	Added suport for writing audit/internal SPARQL errors to logfile

	Added suport for writing audit/internal SQL errors to logfile

	Added alias sql:comments for sql:comment

	Added new option 'Explain' to /sparql endpoint

	Added new help page for RDF views to /sparql endpoint

	Fix for SPARQL 1.1 SUBSTR() (issue 692)

	Merge branch 'feature/conductor' into develop/7

	Fixed issue with WEBdav browser and folder selection

	Updated Conductor VAD version

	Fixed missing registry page

	Fixed issue with catalog list by grants

	Fixed UI

	Fixed issue creating new user accounts with conductor using user with dba and administrator roles

	Fixed issue with security of popup pages in WebDAV and File browser

	Added support editing .xhtml files with CKEditor

	Fixed issue deleting Smart folders

	Merge branch 'feature/memleaks' into develop/7

	Fixed memleak in dav PUT method

	Fixed memleak in bif_http_body_read

	Added new func col_stat_free() etc to avoid memleak on re-assignment of col_stat

	Added new enable_iri_prefix_nic_n flag

	Fixed memleak on RDFXX error

	Fixed memleak of cs_dict

	Fixed memleak on values of sc_big_ssl_consts

	Fixed memory leak in SPARQL compiler

	Fixed leak of not killed qi after error

	Fixed memory leaks of query instance and local cursors

2017-11-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memleak in col_set_ac_dirty

	Added short git SHA1 of HEAD to version info

	Merge branch 'feature/malloc_debug' into develop/7

	Added resource_track_new()/resource_track_delete() to count created resources without the use of rc_constructor/rc_destructor

	Added checks for some values stored in dc_values

	Added initial support for debugging queries using -DQUERY_DEBUG

2017-11-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial support for detailed history of every error messages using -DSIGNAL_DEBUG

	Fixed compiler warning on struct declaration

	Fixed dk_mem_hooks should permit duplicate pointers to DB_CLOP and DV_CLRG

2017-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed mem corruption in bif_rgs_prepare_del_or_ins if quad does not contain graph but context graph is DV_IRI_ID

	Fixed dk_mem_hools should permit duplicate pointers to DV_ASYNC_QUEUE

	Fixed issue with list of prime numbers

	Added new function resource_get_batch()

	Removed old MALLOC_DEBUG workaround

	Added MALLOC_DEBUG support for resource_get() and resource_store()

	Added support for gathering statistics on memory pools in use

	Added new function dk_check_trees_of_qi for MALLOC_DEBUG

	Added new function __dk_check_tree for MALLOC_DEBUG

	Fixed small issue with box comparisons

	Added new function dk_realloc_list

	Added support for more MALLOC_DEBUG tracing

	Fixed make allocation counting optional

	Fixed issue compiling plugin with MALLOC_DEBUG

	Fixed small issues with MALLOC_DEBUG

2017-10-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for more datatypes in box_serial_length()

2017-10-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_10_17_fix_jena_github_686' into develop/7

	Rebuild Jena providers

	Updated version of Jena provider

2017-10-17  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issue github #686

2017-10-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_10_16_github_685' into develop/7

	Rebuild JDBC drivers

2017-10-16  Sergey Malinin  <smalinin@openlinksw.com>

	Fix typo

2017-10-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC driver

2017-10-16  Sergey Malinin  <smalinin@openlinksw.com>

	Fix from github issue 685

2017-10-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild providers

	Merge branch 'feature/2017_10_12_fix_jena' into develop/7

	Updated version of Jena providers

2017-10-12  Sergey Malinin  <smalinin@openlinksw.com>

	Fix VirtDataset class for properly handle transaction

2017-10-05  Sergey Malinin  <smalinin@openlinksw.com>

	Update using of DB proc rdf_insert_triple_c() in Jena3

2017-10-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_05_24_rdf4j_update' into develop/7

2017-10-05  Sergey Malinin  <smalinin@openlinksw.com>

	Update using of Db proc rdf_insert_triple_c() in rdf4j

	Update for RDF4J provider for fix bug#17788 and etc

2017-10-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed deprecated file

2017-10-03  Sergey Malinin  <smalinin@openlinksw.com>

	Update labels on ODBC Setup UI

2017-09-29  Sergey Malinin  <smalinin@openlinksw.com>

	Fix misprint in method VirtGraph.setMacroLib()

2017-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed typo

	Fixed checks for ImageMagick

2017-09-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed K&R-style function prototypes

	Merge branch 'feature/windows_build' into develop/7

	Fixed typo

	Fixed issue with AIO

	Fixed declarations after statement which trips up windows compiler

	Fixed windows build issue

	Fixed windows build issue

	Fixed issue building on windows

	Fixed portable check for NAN and INF for Windows builds

	Fixed different declarations of build_thread_model and other vars

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sizes

	Removed deprecated image

	Merge branch 'feature/dav' into develop/7

	Changed mime tyoe for .csv extension to text/csv

	Fixed text indexes for better maintainability

	Fixed issue with permissions for WebDAV PUT command

	Merge branch 'feature/conductor' into develop/7

	Updated Conductor VAD version

	Removed deprecated entries

	Added support for Angellist

	Fixed UI

	Fixed packaging list

	Fixed some bad links after reorganization

	Fixed UI for editing soap service

	Fixed issue with WebDAV sort order when Briefcase is not installed

	Fixed issues with Rewrite Rule export function

	Fixed CSV importer

	Fixed iSQL page UI

	Fixed UI issues with CSS

	Fixed issue for ODS briefcase

	Fixed user/password params get for API calls

	Fixed WebDAV skin API for ODS briefcase API

	Fixed typo

	Fixed issue with MIME types page

	Removed unneeded account remove include page

	Removed unneeded role remove include page

	Removed unneeded html elements from pages

	Removed unneeded role include file

	Fixed issues changing INI file entries

	Removed unneeded properties from pages

	Fixed issues with WebDAV browser

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed robot pages

	* Fixed issue creating new Content Import target
	* Fixed UI
	* Removed unneeded tags

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed VAD UI

	* Added new column with old installed VAD version
	* Fixed UI
	* Fixed issue with VAD config pages and filesystem version of Conductor

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed WebDAV

	* Added link alternate tags for ODS briefcase instance
	* Fixed WebDAV skin

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue selecting items in WebDAV

	Removed debug info

	Fixed issue with bad file size on upload

	Fixed for replication (not available in virtuoso opensource binary)

	Fixed issue with 'Next' time in Scheduler

	Fixed incorrect UTF-8 character IRI handling in Namespaces

	Fixed UI of WebDAV related pages

	Fixed path to image

	Fixed LDP recovery procedure

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed LDAP pages

	* Added support for LDAPS
	* Fixed UI issues
	* Removed deprecated code

2017-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed UI of r2rml pages

2017-09-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed compiler warnings

	Fixed issue compiling with PHP 5.6.x

2017-05-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_05_24_fix_jdbc_github656' into develop/7

	Rebuild JDBC drivers

2017-05-24  Sergey Malinin  <smalinin@openlinksw.com>

	Fix conversion of Unicode characters

2017-05-16  Sergey Malinin  <smalinin@openlinksw.com>

	Update ADO.NET provider for support Sparql Negative Dates, Concurrency modes, Connection option "Log_enable"

2017-05-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_05_12_fix_jdbc_date' into develop/7

	Rebuild JDBC providers

2017-05-12  Sergey Malinin  <smalinin@openlinksw.com>

	Update JDBC minor version number

	Additional fix for properly handle SPARQL negative dates

2017-05-10  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Jena3 examples (bugzilla #17701)

2017-05-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild drivers

	Merge branch 'feature/2017_05_04_fix__sesame2' into develop/7

2017-05-09  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Sesame2 resources virtuoso.ttl, create-virtuoso.xsl

2017-05-09  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Sesame2 bugzilla #17788

	-fixed [Bug 17788] New: Add method to Sesame provider to query across all RDF graphs in Quad Store
	-added old uncommited updates

2017-05-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_05_04_fix_sesame2' into develop/7

	Updated version of Sesame2 provider

2017-05-09  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Sesame2 bugzilla #17788

	-fixed [Bug 17788] New: Add method to Sesame provider to query across all RDF graphs in Quad Store
	-added old uncommited updates

2017-05-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_05_04_fix_sesame4' into develop/7

2017-05-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix permissions

2017-05-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Sesame4 bugzilla #17788

	-fixed [Bug 17788] New: Add method to Sesame provider to query across all RDF graphs in Quad Store

2017-05-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

2017-05-02  Sergey Malinin  <smalinin@openlinksw.com>

	Fix JDBC driver for support negative SPARQL date and dateTime values in output resultSet

2017-04-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

	Updated JDBC driver to version 3.100

2017-04-27  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Github issue: Sql Workbench/J csv file import in Virtuoso fails on empty numeric fields (#647)

2017-04-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers and providers

	Merge branch 'feature/jdbc_fixes' into develop/7

	Updated version of Jena3, Sesame4 and RDF4J providers

	Updated version of JDBC provider

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed SSL connection

	Added support for concurency mode CONCUR_VALUES

	Fixed exception handling

	Added support for SSL truststore

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Update Sesame4 provider

	- added support for concurrency modes
	- added support for SPIN
	- update default log_enable mode to 1

2017-04-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_04_17_rdf4j__concurrency' into develop/7

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Add lost fix

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Update rdf4j provider

	- added support for concurrency modes
	- added support for SPIN
	- update default log_enable mode to 1

2017-04-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_04_17_jena3_concurrency' into develop/7

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Add lost fix

	update default log_enable mode to 1

2017-04-19  Sergey Malinin  <smalinin@openlinksw.com>

	Update for Jena3 provider

	- added support for concurrency modes
	- added support for SPIN

2017-04-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues running testsuite on Solaris 2.10

	Added support for TLSext Server Name Indication to http_client

	Updated version of Conductor VAD

	Fixed Conductor UI send incorrect Unicode data to server

	Fixed issue creating DET folders

	Fixed issue with smart folders

	Fixed issue creating DET folders

2017-04-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with strcchr on wide strings

2017-03-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_03_30_fix_jdbc' into develop/7

	Updated version of JDBC drivers to 3.97

2017-03-30  Sergey Malinin  <smalinin@openlinksw.com>

	Fix TestSuite, fix VirtuosoResultSet.set_pos()

2017-03-30  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issues with using Unicode character in the SQL queries parameter binding

	- fix issue with PreparedStatement.setString() / setObject()
	- fix issue with ResultSet.updateString()
	- fix for ConnectionPool
	- fix for ParameterMetaData methods
	- fix for Statement.getUpdateCount() mjst return -1 after Statement.getMoreResults(), if there isn't more resultSets for executed query

2017-03-24  Sergey Malinin  <smalinin@openlinksw.com>

	Statement.getUpdateCount() must return -1 after Statement.getMoreResults(), if there isn't more resultSets for executed query

2017-03-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use parameters for graph and subject when possible

2017-03-22  Sergey Malinin  <smalinin@openlinksw.com>

	Fix define in VirtuosoTimeSpan

2017-03-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue when function called with negative level

	Upgraded to the 'new' DES API from OpenSSL >= 0.9.8

	Fixed issue with sys_http_recording files larger than 64k

	Updated version of Conductor VAD

	Fixed issue editing .TTL files

	Fixed editing extended file types

	Fixed issue with session expire and redirect URL

2017-03-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Upgraded to zlib 1.2.11

2017-03-10  VOS Maintainer  <vos.admin@openlinksw.com>

	FIxed issue changing permissions of LDI folders

	Fixed SPARQL_CONSTRUCT_ACC could get fixed-value variables referred to in 'stats' argument

	Fixed bif_http_sparql_object to write UNDEFs for DB_NULL

	Fixed small memory leak

	Fixed race condition leading to double free

	Fixed crash after failed compilation of PL

	Fixed generate new resource name when POSTing JSON-LD Fixed buf not cleaning graph after mime type is changed

	Fixed HTTP GET for application/sparql-query mime types

	Updated version of Conductor VAD

	Fixed sort order bug for unlogged users

	Fixed UI

	Fixed issues with LDAP import

	Added certificate maangement for users

	Changed color of the selected tab on the second navigation line

	Added registry editor

2017-03-08  Sergey Malinin  <smalinin@openlinksw.com>

	Fix bug in ADO.NET Fetch implementation

2017-03-07  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for VirtuosoParameter.cs

2017-03-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2017_03_07_fix_ADONET_1' into develop/7

	Fixed use / for all compiler flags

2017-03-07  Sergey Malinin  <smalinin@openlinksw.com>

	Fix compile error in VirtuosoTimeSpan.cs

	Fix ADO.NET provider compile error on NET2.0

2017-03-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of ADO.NET driver

	Removed support for old Mono /d:MONO1231 workaround

2017-03-07  Sergey Malinin  <smalinin@openlinksw.com>

	Fix ADO.NET issues

	- fix compilation error on Mono for VirtuosoTimeSpan.cs
	- fix error in CompareTo() methods in VirtuosoDateTime.cs/VirtuosoDataTimeOffset.cs/VirtuosoTimeSpan.cs
	- fix compilation warnings for VirtuosoDateTime.cs/VirtuosoDataTimeOffset.cs/VirtuosoTimeSpan.cs/VirtuosoParameters.cs

2017-03-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Conductor VAD version

	Fixed removed debug line

	Fixed issue editing content > 10MB length

	Fixed issue updating content > 10MB length

	Fixed issue showing errors from login page

	Fixed backup UI in Conductor

	Fixed issue retrieving user's profile data with RDFData DET

	Fixed issues running testsuite on Solaris 2.10

	Fixed issue with log_enable for rdfxml data loading to work with replication

	Added setting simple_rdf_numbers to cast numeric to double

	Added bif_array_strses_ro_arg

	Fixed WebDAV skin

	Fixed mod date for collections is changed when the content is updated

	Fixed missing prototypes

	Merge branch 'feature/rdfview' into develop/7

	Updated VAD version

	Fixed check engine version

	Small whitespace cleanups and use upper case names for all PL

	Fixed issues with RDF_VIEW_SYNC_TO_PHYSICAL

	Fixed missing prefix and error reporting for R2RML

	Fixed issue with weird column names in R2RML translator

	Added support fro smallint/bigint columns in R2RML and quad map PL

	Workaround for issue with SQL runtime in R2RML

	Fixed sqlp_breakup to use a list instead of a set

	Added some more debugging code for SPARQL

	Merge branch 'feature/mallocdebug' into develop/7

	Fixed memory leak on permissons of PL procedures

	Fixed issue reading uninitialized and unused tail of result dc

	Merged mp_data_col_large and mp_data_col into one function

	Fixed remove spurious return 0 so destructor can be called

	Fixed GPF on NULL operands of geo builtin operators

	Fixed issue copying beyond end of allocated space

	Fixed missing call to resignal on error

	Fixed missing initialization

	Fixed missing initialization

	Fixed issue trying to compile uninitialized tail of instructions

	Fixed change box tag to eliminate MALLOC_DEBUG reporting error

	Fixed call to d_id_set_box should be inside condition

	Fixed allocation issue with sif_skipped_part

	Added basic MALLOC_DEBUG  accounting for PCRE libary

	Fixed valgrind warnings

	Fixed issues initializing itc_ins_flags

	Fixed error text to include column counts

	Fixed issue using client connect structure after it was freed

	Added NORETURN attribute to error functions to eliminate compiler warnings

	Fixed compiler warnings

	Fixed compiler warnings

	Added functions for sprintf_uname

	Added faster and partial checks for trees of boxes for MALLOC_DEBUG and VALGRIND

	Fixed for MALLOC_DEBUG and VALGRIND

	Fixed prototypes

	Rolled use of generate script

2017-03-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed GET command for files with 'application/ld+json' mime type

	Fixed format GET command

	Fixed DET API functions

	Added 'application/ld+json' mime type

	Fixed external DS pages, UI optimizations, use common JS

	Fixed issue with get tables proc for some external DS

	Fixed call xslt_stale on conductor sheets during upgrade

	Added 'change login' button to WebDAV skin

	Fixed default activity log parameter for DETs to 'on'

	Fixed issue with sort order direction

	Fixed whitespace

	Fixed crawler functions to work with HTTPS sources

	Fixed Content Imports (web crawler) UI does not allow Target URL set to secure https URL.

	Fixed make url API function

	Updated 'Accept-Post' header for LDP folders

	Fixed on some calls HTTP return code 200 OK should be 201 Created

	Added functions to register/unregister certificates

	Added labels for user certificates

	Fixed issue with LDAP import

	Fixed WebDAV browser should default to pwd not 'dav' home

	Added remote folder selection for DETs

	Removed S3 DET from binary

	Fixed HTTP GET for LDP resources

	Fixed dependency issue (re)generating cached_resources.c

2017-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue encoding urls in SPARQL/FED

	Updated VAD version of conductor

	Fixed UI of remove account page

	Fixed UI of remove role page

	Joined 'create' and 'edit' actions in the role page

	Fixed UI of role pages

	Reformat user creation page and added certificate management for users

	Fixes and workaround for OVL validation primarily for R2RML

	Fixed issue with bad content type by copy

	Fixed parameter encoding in graph page

2017-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with Turtle and JSON;LD_CTX

	* Better handling of lists and loops in 'nice turtle' output
	* Fixed issues with nested subjects in JSON;LD_CTX

2017-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue making aliases for predicates in JSON_LD CTX

2017-01-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed copyright

2017-01-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Copyright to include 2017

	Updated Copyright to include 2017

2016-11-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of ADO.NET driver

2016-11-28  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issue ADO.NET for properly DateTime types and TZ

	- fix support different "TimezonelessDatetimes" modes
	- fix SqlRdfBox with TimeSpan/DateTime/DateTimeOffset types in received values
	- fix SqlRdfBox for received Literal with type "http://www.w3.org/2001/XMLSchema#gYear"
	- fix SqlRdfBox for received Literal with type "http://www.w3.org/2001/XMLSchema#gYearMonth"

2016-11-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2016_11_11_jena3_update' into develop/7

	Updated version of Jena2/Jena3 providers

2016-11-15  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for Makefile

2016-11-11  Sergey Malinin  <smalinin@openlinksw.com>

	Update Jena2/Jena3 providers

	- Jena2/Jena3 update for BatchAdd mode
	- Jena2/Jena3 added support insert String Literals without Literal DataType
	- Jena3 added support Jena3.1.1

2016-10-27  VOS Maintainer  <vos.admin@openlinksw.com>

	W3C Turtle 2014 permits lone bnode at top-level with no predicates and no objects after it

	Fixes issue 593

2016-10-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added function to print all itc col refs

2016-10-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2016_10_17_rdf4j_fix' into develop/7

	Rebuild driver

	Fixed missing mkdir

	Updated version

2016-10-17  Sergey Malinin  <smalinin@openlinksw.com>

	Fix rdf4j issue with parameter binding

	- fix for https://github.com/openlink/virtuoso-opensource/issues/588

2016-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed empty check

	Fixed ssls in gby dep must be vec for chash

	Added live link to URI

	Added new output format: JSON-LD with context which is google friendly

	Added cpu monitor for windows

	Fixed dba does not need password

	Updated version of Conductor VAD package

	Fixed copyright comment

	Fixed create a new event forgot to insert notifications

	Added export function to key storage

	Fixed only recode strings

	Added support for importing PEM and DER formats

2016-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with LDP

	* Fixed LDP recovery procedure to correctly use DAV resources
	* Fixed update of the system created LDP folder

2016-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed validate API functions

	Added additional commit to the skin

	Added filter param to the WebDAV browser skin

	Fixed WebDAV utility functions with Briefcase

	Fixed issue editing soap services paths

2016-09-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2016_06_27_rdf4j' into develop/7

	Rebuild driver

	Updated version number of virt_rdf4j provider

	Fixed use eclipse-rdf4j-2.0.1-onejar.jar

	Hooked rdf4j into build process

2016-09-22  Sergey Malinin  <smalinin@openlinksw.com>

	Update Makefile for use new version of RDF4J

	RDF4J provider for Virtuoso

2016-09-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed lock escalation not required on column index

2016-09-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Added lock_escalation_pct to dbf descs

	Fixed skip bad records instead of GPF

	Fixed set transaction isolation for DAV queue

	Optimized handling of vspx session expiration

2016-08-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed gb should only use mem cache when chash is enabled

	Fixed typo

	Fixed grammar

2016-08-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed certificate can have wild card in CN

2016-07-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed concat should ignore no cast error option of qi

2016-07-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing file size

2016-07-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed schedule a sync after op changes

	Can be del/ins on same key and time when del goes after ins, may look like records lost

2016-07-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated DAV_QUEUE related procedures to optimize locking

	Fixed DAV COPY for files with application/sparql-query content type

	Fixed async calls

	Added LODmilla browser

2016-07-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use fully qualified table name

	Fixed use fully qualified table name

	Fixed use fully qualified name

	Fixed errors should be emailed every time the event fails

	Fixed event notification emails should use text/plain

	Added Message-Id: header to notification email

	Fixed issue with bad plan

	Removed redundant distinct

	Fixed make chash join configurable

2016-06-13  Sergey Malinin  <smalinin@openlinksw.com>

	Disable Enable Async Mode in ODBC driver for all OS

2016-06-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed simplified JSON-LD output to keep Google happy

	Fixed as G is always known, getting bad plan if G index used

	Fixed crash

	Fixed issue with search for col not handled

	Fixed more acurate error for loader

	Merge branch 'develop/6' into develop/7

	Updated Conductor VAD version

	Fixed issue when context is lost after key remove or import

	Fixed safe execute of the key rdf

	Fixed issue cloning vhost

	Fixed issues in public key infrastructure UI

	Fixed label

2016-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed make sure geo: prefix is avail for indexing

	Fixed skip datapoints with bad lat/lng data

	Fixed crash when in tb is not a table df

2016-04-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash in vec ssl

2016-04-29  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for Github 510 https://github.com/openlink/virtuoso-opensource/issues/510

	Wrong nanosecond valued was sent to server

2016-04-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.5-dev to start new development cycle

	Merge branch 'hotfix/7.2.4.2' into develop/7

	Fixed typo in version number

	Merge branch 'hotfix/7.2.4.1' into develop/7

	Merge branch 'hotfix/7.2.4.1' into stable/7

	Updated version to 7.2.4.1

2016-04-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Revert "Fixed issue passing make flags to subdirs"

	This reverts commit 26f840a22f1118651dd924ff38c240a34f218e8f.

2016-04-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.4 for final release

	Updated ChangeLog & News

	Fixed issue passing make flags to subdirs

	Fixed link to rdf-editor to edit whole article

	Removed link to old ODE browser

	Updated version of ODBC driver

	Updated engine version to 3217

2016-04-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for building with OpenJDK 1.8 if available

	Hide errors from dpkg when openjdk version is not available on the system

2016-04-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed if user_name is null return an empty string

2016-04-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated docs

	Fixed issue uploading turtle files containing special symbols

2016-04-21  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

	Updated version of JDBC driver

2016-04-21  Sergey Malinin  <smalinin@openlinksw.com>

	Fix JDBC driver remove finalizers

2016-04-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing dirs

	Renamed configure.in -> configure.ac

2016-04-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.3-rc2 for upcoming release

	Updated NEWS and Changelog for upcoming release

	Merge branch 'develop/6' into develop/7

	Backported fixes from v7

2016-04-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to rc1

	Merge branch 'feature/jdk18' into develop/7

	Added initial jdbc4.2 driver

	Added support for building JDK 1.8 / JDBC 4.2

	Merge branch 'develop/7'

2016-04-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with ':' in blank node labels

	Turtle also permits it in the local parts of QNames, but NQuads
	does not permit %NN in blank node labels

2016-04-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Split functions and reindented for readability

	Merge branch 'develop/6' into develop/7

	Updated Conductor VAD version

	Added start/expiry date of CA

2016-04-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated DBpedia VAD version

	Fixed show language with label, abstract, comment

	Fixed typo in function name

	Fixed issue with SQL_C_LONG bound to an int32 instead of an int64/long

	Updated Facet VAD version

	Fixed link-out icon

2016-04-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing grants to SPARQL_UPDATE

	Fixed client_attr can return ANY type

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with unused default graph

	Even if default graph is not used in SPARUL MODIFY statement, it
	should be set to a non-NULL stub for reporting purposes

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Added t_list_memcpy

	Added obvious index choice

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with property paths like <p>|!<p>

	Deep optimizations of paths with complementary and/or repeating paths

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Added min/max for iri id

	Fixed label compressed stream

	Merge branch 'develop/6' into develop/7

	Fixed list of files to distribute

	Removed deprecated files

	Merge branch 'develop/6' into develop/7

	Merge branch 'feature/dbpedia-fluid-design' into develop/6

2016-03-31  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated DBpedia VAD version

	Removed old describe_white page and related deprecated files

	Implemented new fluid skin design for DBpedia /page based on the Bootstrap Framework

	Added Bootstrap 3.x Framework

	Reorganized /statics

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed labels

	Fixed if graph name is not specified, use 'none'

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for CVS in RFC4180 format

	Usage:
	set csv_rfc4180 on;

2016-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue when SERVICE clause does not return real vars, only ?stubvarXX

2016-03-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with regexp

	Added support for <script>...</script> inlining of RDF data in HTML output

	Merge branch 'develop/6' into develop/7

	Fixed missing line

	Updated version of FCT vad

	Fixed nyt prefix to http://data.nytimes.com/

	Fixed splitting UTF-8 strings can produce bad encoded strings

	Fixed handling of single quote char

2016-03-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated DBpedia VAD for International Chapters

	The http://dbpedia.org/ site  will start using UTF-8 based URIs
	instead of %-encoded URIs to match the work done by Dimitris Kontokostas
	and others for the DBpedia International Chapters.

2016-03-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Added new link-out icons

2016-03-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated DBpedia VAD version

	Fixed the http://mementoarchive.lanl.gov link

2016-03-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue calling STR() on numbers provided via VALUES (#539)

	example: SELECT STR(?n) WHERE { VALUES ?n {1 2}}

2016-02-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Added check for execinfo.h

	Fixed check for bzip2 compression

2016-02-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed hang as page was not left if geo_pred signal an error

	Fixed check if geo pred gets right arguments to prevent crash

	Fixed java version check

	Fixed # argument check to avoid bad memory read

	Small optimization for update triggers of WS.WS.SYS_DAV_RES

	Removed debug output

	Merge branch 'develop/6' into develop/7

	Synced Conductor WebDAV implementation with briefcase

	Fixed labels

2016-02-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed svc search to keep address

	Added support for skipping UTF-8 BOM marks on Turtle and JSON lexers

2016-02-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed include page # in the error log

	Merge branch 'develop/6' into develop/7

	Fixed missing alias in fct svc

2016-02-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated Conductor VAD version

	Added validation for sequence number value

	Fixed issue with all to unknown procedure

	Fixed issue with negative integers in validation API

	Fixed issue with wrong vars in delete

	Fixed log which key is out of order

2016-02-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed missing grant

	Added refererence to license

	Fixed support for images

2016-02-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed portability issue on windows

	Updated engine version to 07.20.3216

	Rebuild drivers

	Merge branch 'feature/2016_02_09_Jdbc_fix' into develop/7

	Updated version of JDBC driver

2016-02-09  Sergey Malinin  <smalinin@openlinksw.com>

	Fix JDBC driver (Github pull requests)

	- Fixed conversion of broken unicode strings. (#529)
	- Fixed variable initialization. (#470)

2016-02-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

	Merge branch 'feature/2016_02_03_Jdbc_fix' into develop/7

	Updated version number of JDBC driver

2016-02-03  Sergey Malinin  <smalinin@openlinksw.com>

	Fix VirtuosoDataSource methods setLog_Enable()/getLog_Enable() for properly work with Spring framework

2016-02-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed label

	Fixed issues with UI switching result dropdown

	Fixed initialization of build-in sparql endpoint

	Fixed remove row column # from html output

2016-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed disable AIO for this release of virtuoso 7

	Renamed ColumnStore to ColumnStoreAll in virtuoso.ini

	Fixed remove generated file when making distribution

2016-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed enabled scheduler upgrade

2016-01-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed issue with css

	Updated Facet Browser VAD version

	Updated Conductor VAD version

	Fixed set specific sponger pragmas on text/html

	Fixed content negotiation

	Fixed default output is xml

	Fixed possible change of displayed resources post-sponge

	Fixed facet search service

	Fixed labels

	Fixed og:image added to list

	Fixed space encoding in iri

	Fixed checkpoint after rdf view generation

	Fixed issue with ldap server

	Fixed use transactional mode

	Fixed issue with scheduler

2016-01-22  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for Sesame2 test connection string

2016-01-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild Jena2 and Jena3 providers

	Merge branch 'feature/2016_01_22_Jena_fix' into develop/7

	Updated version of Jena 2 and 3 providers

2016-01-22  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Node2Str for Literals for Jane2/3 providers for more properly handle Literals with Lang

	Fix Testsuites for Jena2/3 and fix Node2Str for Literals

2016-01-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild providers

	Fixed use JDK 1.8 for Jena3 provider

	Updated testsuite to run Jena2, Jena3 and Sesame4 testsuites

2016-01-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2016_01_20_Sesame2_update' into develop/7

	Fixed filesystem permission

	Updated version of Sesame2 provider

2016-01-20  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed PreparedStatement with params binding for SPARQL queries with parameters instead of substitution parameter values to query

2016-01-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2016_01_20_Jena3_update' into develop/7

	Updated version of Jena3 provider

2016-01-20  Sergey Malinin  <smalinin@openlinksw.com>

	Fix example

2016-01-20  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Jena3 provider

	- fixed class path for properly run Tests
	- added new example VirtuosoSPARQLExample14.java

2016-01-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild providers

2016-01-19  Sergey Malinin  <smalinin@openlinksw.com>

	New Jena example for use Inference and Ontology Model with Jena provider

2016-01-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_12_25_fix_JDBC' into develop/7

	Updated version of Virtuoso JDBC driver

2016-01-19  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Connection.setCatalog() isn't implemented (for bugzilla #17155)

2016-01-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/sesame2.8' into develop/7

	Rebuild Virtuoso Sesame 2 provider

	Added support for Sesame2 2.8.x

	Fixed permissions

	Merge branch 'feature/2015_10_12_Jena3_new' into develop/7

	Fixed hook jena3 into build process

2016-01-19  Sergey Malinin  <smalinin@openlinksw.com>

	New Jena3 provider based on github  pull#487

	https://github.com/openlink/virtuoso-opensource/pull/487

2016-01-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Conductor VAD version

	Fixed should use transactional mode

	Added new bif http_redirect_from for getting initial path from internal redirect

	Fixed issue in ttlpv storing xmlliteral

2016-01-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Copyright to 2016

	Merge branch 'develop/6' into develop/7

	Updated Facet Browser VAD version

	Updated Conductor VAD version

	Added new option to disable scheduled job

	Added more link-out relations

	Fixed issue with SPARQL select count(distinct *) { ... }

2016-01-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild provider

	Updated version number of Sesame4 provider

2016-01-08  Sergey Malinin  <smalinin@openlinksw.com>

	fix RepositoryFactory class name in Sesame4 provider resources

2016-01-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed no change from chash to pageable if enable_chash_gb = 2

	Merge branch 'feature/2016_01_04_fix_Sesame4' into develop/7

	Rebuild Sesame4 provider

	Updated version of Sesame4 provider

2016-01-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issue with openrdf-workbench application

	- update create.xsl with new version
	- update create-virtuoso.xsl with new version
	- added file org/openrdf/repository/config/virtuoso.ttl resource to virt_sesame4.jar

2015-12-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_12_31_fix_Sesame4' into develop/7

	Fixed disable javadoc doclint setting for JDK1.8

	Rebuild driver

2015-12-31  Sergey Malinin  <smalinin@openlinksw.com>

	Fix Version name from "Sesame2" to "Sesame4"

2015-12-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with cost based optimizer for isiri_id

	Merge branch 'feature/2015_12_29_Sesame4' into develop/7

	Added support for JDK 1.8 to use with sesame 4 provider

2015-12-29  Sergey Malinin  <smalinin@openlinksw.com>

	new Sesame4 provider

2015-12-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Small cleanups

	Added support for service invocation of bigdata running in triples and introducing language exceptions

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with boolean in sparql/xml results

	Fixed issue serialized xml

	Added check for repl log replay

	Fixed issue with duplicate triples in microdata

	Fixed handling of strings containing serialized xml

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed SPARQL-BI syntax for HAVING

	SPARQL-BI syntax for HAVING (any single expression) is replaced
	with SPARQL 1.1 one (multiple constraints)

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new debug switch to /sparql page

	Added switch in /sparql page and a logic to log debug info during
	SPARQL query run (esp.sponging) and to append it to the page of
	query results.

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new BIF connection_swap()

	New BIF connection_swap() to exchange the value of a given variable
	in procedure and a given connection variable without memory
	allocations. + argument to deal with nested aq requests in API of
	connection variables.

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with page access

	If we need write for page access, get the split range position in
	read and then switch to write

2015-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed rc resize

	Fixed list hosts for elastic

	Fixed dup partitions in elastic

2015-12-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed pop_last should clear the null flag

2015-12-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed deprecated build rules for Virtuoso .Net adapter

2015-12-10  Mitko Iliev  <imitko@openlinksw.com>

	Fixed building .sql files on windows

2015-12-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/7' of github:openlink/virtuoso-opensource into develop/7

	Fixed issue with make dist

	Merge branch 'hotfix/7.2.2.1' into develop/7

	Fixed issue with make dist

	Updated version to 7.2.3-dev to start new development cycle

	Merge branch 'release/7.2.2' into develop/7

	Merge branch 'release/7.2.2' into stable/7

	Updated NEWS and ChangeLog

	Updated version to 7.2.2

	Fixed typo

	Fixed build speed

2015-12-09  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated changelog

	Fixed packaging of Virtuoso .NET adapter on debian/ubuntu

2015-12-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing files from distribution

2015-12-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Show a more realistic disk space consumption by testsuite

	Reverted previous patch

	Updated version to 7.2.2-rc2

	Updated testsuite

	Fixed merge transaction log

	Fixed issues with extent map

	Fixed itc_ranges can be uninitialized when scanning updated/deleted pages

	Fixed compiler warnings

	Fixed missing return

	Fixed use vfork if working properly to reduce mem footprint on exec

	Fixed typo

	Fixed pattern for construct to be followed by whitespace

2015-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed enable_joins_only=1 hint to cost based optimizer

2015-12-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with cascaded delete when pk 1->many fk cols

	Fixed issue calculating new size of array

	Fixed codegen for IN operator when left hand is column and right hand contains constants

2015-12-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of OpenLink Virtuoso Data adapter

2015-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed pattern for describe to be followed by whitespace

	Fixed check

2015-11-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed build rules for Virtuoso .NET Adapter

	Fixed wrong FLAGS

2015-11-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash when blank nodes are used in data rows of VALUES

2015-11-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed 'nobody' user home directory creation

	Updated DETs move/copy commands after WebDAV API updates

	Fixed bugs related to move/copy functions

	Fixed allow identity to start with 0

	Fixed describe not working

	Merge branch 'develop/6' into develop/7

	Updated Conductor VAD version

	Replaced procedure for home dir creation from DAV API

	Added support for move and copy commands on some DETs

	Fixed issues with latest Briefcase

	Set xslt files to stale on install/upgrade of vad package

2015-11-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue when nil <p> <o> triple pattern is used

2015-11-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed handling of bad IRI_IDs in DB.DBA.RDF_GAPH_SECURITY_AUDIT()

	Merge branch 'develop/6' into develop/7

	Updated version of FCT vad

2015-11-15  Mitko Iliev  <imitko@openlinksw.com>

	Fixed issue passing literal as reference parameter in fct

2015-11-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed error message

2015-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue switching between SP and PK index

	Fixed output of @type in JSON-LD

	Merge branch 'develop/6' into develop/7

	Updated version of FCT vad

	Fixed show distinct count on list-count view

2015-11-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed return type is integer

	Fixed print iri & dv_rdf

	Fixed memory leak on returning error from exp

2015-11-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with handler

	When setting a break w/o line do not put in 1st handler as it may not be even invoked

2015-11-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 3215 in preparation for upcoming release

2015-11-05  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed check output of jdbc testsuite for failed tests

2015-11-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memleak when client disconnects prematurely

	Fixed issue printing unnamed ssls

	Added timeout option to urlsimu

2015-11-05  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC providers

2015-11-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC provider

2015-11-05  Patrick van Kleef  <pkleef@openlinksw.com>

	Added missing serverside setting

	Rebuild JDBC providers

2015-11-05  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for JDBC testsuite

	Fix JDBC RPC readDate for properly handle tales flag and hour value in tzless modes

2015-11-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with uninitialized var

	Fixed nice microdata

2015-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed make sure testsuite output is saved into the correct directory

	Fixed issue with SQL_TIMEZONELESS_DATETIMES setting not initialized properly for client connections

2015-11-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issue with uninitialized data in TIME string

2015-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Added checks for Virtuoso JDBC 4 and 4_1 providers

2015-11-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

2015-11-03  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed JDBC driver and testsuite

	* Update JDBC for properly support
	  http://www.w3.org/2001/XMLSchema#gYearMonth dataType in RdfBox
	* Update testsuite for test support of new dataTypes: xs:gMonth,
	  xs:gDay,  xs:gYearMonth,  xs:gMonthDay,  xs:dateTimeStamp

2015-10-30  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC provider

	Fixed typo

2015-10-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC provider

2015-10-30  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issue with SPARQL date values not applying optional timezone value

	* Fix for return SPARQL Time GMT0 with Z syffix  ("13:24:00.000Z" instead of "13:24:00.000-00:00")
	* Fix for return SPARQL DateTime GMT0 with Z syffix  ("1999-05-31T13:24:00Z" instead of "1999-05-31T13:24:00-00:00")

2015-10-30  Sergey Malinin  <smalinin@openlinksw.com>

	Added initial testsuite for handling date values in JDBC provider

2015-10-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memleak in bif_sparql_iri_split_rdfa_qname when ht have MP

	Fixed issue updating existing LDP container

	Fixed memory leaks

	Fixed issues with gYear, gMonth etc in json/csv/sparql output formats

	Fixed issues with const in distinct

2015-10-30  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC providers

2015-10-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC provider

2015-10-30  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issue with rdf http://www.w3.org/2001/XMLSchema#gYear type

2015-10-29  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC providers

2015-10-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC providers

2015-10-29  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issue decoding RdfBox with Date object

2015-10-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated version of Conductor VAD

	Fixed move and copy filter iMAP DET commands

	Fixed aestetics for iMAP DET filter page

	Added run command to iMAP DET filters in webDAV

2015-10-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed syntax error

	Added bif table_exists

	Fixed issue creating LDP subfolders with DAV API

	Fixed issue with PUT resetting owner, group and perms properties

2015-10-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated version of FCT vad

	Added support for auto sponge

	Fixed labels

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed no QP in atomic mode

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with recovery for property paths with "*" on SERVICES

	"Last chance" recovery for property paths with "*" on SERVICES that
	does not support virtuoso-specific transitivity and does not have
	proven SSG_SD_SPARQL11_DRAFT or  SSG_SD_SPARQL11_MORE support.

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed handling of isREF()

	Handle isREF() in codegen for remote endpoints that have some
	pre-SPARQL 1.1 BI but no Virtuoso-specifix isREF()

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Optimized LDP query

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with vspx sessions

	* Fixed decrease timeout for session
	* Fixed check if session has timed out before setting timestamp

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with move/copy .ttl files in LDI

	Merge branch 'develop/6' into develop/7

	Updated version of FCT vad

	Fixed more schema.org props

	Fixed issue with xtree over null

	Fixed style of WebDAV browser for selection resources and folders

2015-10-22  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC providers

2015-10-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_10_21_JDBC_fix_17081' into develop/7

	Updated version of JDBC provider

2015-10-22  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for bugzilla #17081

2015-10-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bug using WebDAV browser for selecting resources and folders

	Added ip guard to vspx login

2015-10-15  Sergey Malinin  <smalinin@openlinksw.com>

	Update ADO.NET prefetch size from 20 to 100, for improve Fetch performance for slow remote connections.

2015-10-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with LDP resource updates using PUT

	Fixed deleted LDP resource still listed as contained by parent container

	Fixed use default value of 2 for fill

	Fixed use log_mode 2 by default

	Merge branch 'develop/6' into develop/7

	Updated copyright

2015-10-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for XMLHTTPRequest calls

	The new 'X-Requested-With' parameter is used

2015-10-14  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild driver

2015-10-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_09_05_Jena_Update' into develop/7

	Fixed version of Jena 2.x provider

2015-10-14  Sergey Malinin  <smalinin@openlinksw.com>

	Update Jena provider for better configure conversion of Jena BNodes to Virtuoso BNodes

	New methods were added to VirtGraph/VirtModel:
	    public boolean getResetBNodesDictAfterCall();
	    public void setResetBNodesDictAfterCall(boolean v);
	    public boolean getResetBNodesDictAfterCommit();
	    public void setResetBNodesDictAfterCommit(boolean v);

2015-10-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for building Virtuoso .Net Provider for Mono when available

2015-10-12  Sergey Malinin  <smalinin@openlinksw.com>

	Fix for github #445 "ADO.NET provider: Int32 overflow in VirtuosoDataReader.GetValues"

2015-10-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Added some build notes for Mac OS X 10.10 and RedHat 7

	Fixed hang on mtx if args for func are wrong

2015-10-12  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issues in ADO.NET

	- fix issue with wrong Cancel implementation
	- fix NullPointer exception in ManagedCommand, when Connection is closed after exceptions

2015-10-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with checkpoint recovery

	Col EM not saved in cpt recov, recovery should check for EMC

2015-10-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed dependency issue in crawler

2015-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added tsuite entry preventing strings and wide in O column of rdf_quad

	Fixed check to prevent wide insert into O column

	Fixes for site-copy robot

	Merge branch 'develop/6' into develop/7

	Updated site-copy robot

2015-10-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed error on subseq when uri is wide string

	Fixed issue in RDF_LONG_TO_TTL with typed RDF literals

2015-10-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Added IMAP DET filters to WebDAV browser

	Fixed issue with IMAP DET

2015-10-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with wide data

	Should convert wide box to utf8 before inserting in O column

2015-10-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed typo

	Merge branch 'develop/6' into develop/7

	Added filters to IMAP DET folders

2015-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed rbs_to_id for RB_EXT_TYPE

	The RB_HAS_TYPE flag is normally not set and the type follows the flags

2015-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed reset sqlc client when doing log replay

	Fixed compiler warnings

	Merge branch develop/6 into develop/7

	Fixed error on bad IRIs

2015-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed cl must have reentrant ins/del function generation

	Use own cli of thread instead of bootstrap cli

2015-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Revert "Fixed issue with freeing cpt remap col pages"

	This reverts commit 0d490ed85a8d804b36b05febe3c8cce030d68fd6.

2015-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed index was one off

2015-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed for vectorization-related error on SPARQL queries with RDF_GRAB

	The output of procedure view may require __ro2sq() around paged values

2015-09-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed global html_lines are not mt safe

	Added dump_tb script

2015-09-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue replacing user/group of existing files with PUT command

	Merge branch 'develop/6' into develop/7

	Fixed issue with POST of SPARQL query with "Content-Type: application/sparql-query"

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added last-modified for dav res

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed us separate struct for merging logs of lt branch

	Must be so because blob list and log dks are separately maintained
	and must not break sequence, also shorter critical sect in this way

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed generata after test of tn nonce

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with eq cond followed by range w lower bound

	In case of eq cond followed by range w lower bound, sort also by
	lower bound, else will traverse col wise inx not left to right, may
	miss results even though multiseg ranges do reset

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed save isolation

	Fixed missing initialisation

2015-09-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with freeing cpt remap col pages

	Use right em for freeing cpt remap col pages with cpt remap, remove
	cpt remaps when freeing col em, reset backup flag when freeing col
	em

2015-09-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bug updating existing file with only read permission on parent dir

	Added new JSO loader with bif_jso_validate_and_pin_batch

2015-09-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed label

	Fixed folder needs only to have read perms if resource exists

	Merge branch 'develop/6' into develop/7

	Fixed issue with hash

	Fixed type

	Fixed text

	Fixed use full IRI text of links in pretty-printed tabular output

	Fixed use proper name

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed removed debug line from log

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with recursion running out of stack

	The loop on coalesce can hit list that looks-like a select

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed stack protection

	Fixed allow string sessions in serialize/deserialize

	Fixed prototype

	Fixed compiler warning

	Fixed issue compiling on windows

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with text pred

	As text pred can occur as joined dfe, for fanout, make sure to check it has an ot

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with sampling

	For sampling with  parallellizing a locking operation, turn off the
	lock mode for the sample

2015-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with rb of update

	If col has no upd rb for the col in txn and no deletes, skip col

2015-09-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with column store

	Fixed make a fn call to copy rdf box at runtime

2015-09-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed writing doubles and decimals to SQL

	SPARQL to SQL: new rvrFixedOrigText fixes writing doubles and
	decimals to the SQL. The original notations are printed even if
	the values are propagated via equivalence classes.

2015-09-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with log mode

	Fixed memory leak

	Added new pretty-printed HTML tabular output for SPARQL SELECT in /sparql page

	Fixed when writing new version set sys_stat var as well

	Added test for null in gby

	Fixed compiler warnings

	Fixed correct return of preimage with uncommitted updates and itc match sets, scn continues etc

	Fixed when getting float/double col from int compressed as box, make right type of box

	Added optional checksum to check longjmp to bad jmp buf

	Merge branch 'develop/6' into develop/7

	Updated VAD version

	Fixed labels

2015-09-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed small issue with inout

2015-09-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Updated VAD version

	Small cleanups

	Updated VAD version

	Add extra line after version string

	Fixed issue with LDP

	Removed extra  </vm:if>

2015-09-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed handling of weird blank node labels like _:2

	Fixed codegen on VALUES () {} with no rows

2015-09-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with unique keys

	A ts can be marked unique because of in and eqs on keys. Can become
	an in by hash, in which case this is not unq on the key, so the
	flag must not be set

2015-09-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed SPARQL-to-SQL codegen

	Enhancements to codegen for constants of types like xsd:long, i.e.,
	well known but not equal to native xsd datatypes of their SQL values.

2015-09-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with row locks

	Added flag for trying only left to right order

	Fixed always check for dks_session

	Fixed issue in http log

	Fixed txn and log flags for ttlp functions

	Fixed file permissions for ftp test

	Fixed order

	Fixed sub-optimal delete

	Fixed order and index choice for LDP query

	Merge branch 'develop/6' into develop/7

	Fixed setting DET RDF params

	Fixed issues deleting permissions

2015-09-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use ARG_ENABLE for consistency

2015-09-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated VAD version

	Updated VAD version

	Fixed namespace prefixes

	Updated VAD version

	Fixed keep prefs as defines in dbp

	Fixed resource update API call and sync with HTTP PUT

	Fixed after user authentication the conductor should redirect to the originally requested page

	Added support for pattern search and edit options to namespace prefixes

	Fixed issue with create file dialog for file extension prompt

	Fixed turtle editor text revision

	Fixed timezone bug with S3 DET

	Fixed issue with bad sort order after init

	Added scheduler procedure for expired items

	Added support for setting file expiration for WebDAV/Briefcase

	Fixed calculation of MD5 value for resource content

	Added support for FTP DET

	Fixed resource size value for some DAV operations

	Added FTP client commands for MKD, RMD, DELETE

2015-09-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use different bz2 api to handle multiple streams

2015-08-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/bulkload_decompress' into develop/7

	Added support for checking libbz2 functionality

	Fixed dependency list for xz and bz2 libraries

	Added support for checking liblzma

	Added support for bulkloading .gz, .xz and .bz2 files

	Added support for reading bzip2 compressed files

	Added support for reading xz/lzma compressed files

2015-08-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing call to ldp create on folders

	Fixed remove default vhost before stopping the listener

2015-08-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed leading spaces from log

2015-08-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed txn and log flags for ttlp* functions

	Fixed if length graphname is 0 use NULL

	Fixed if allocated dict with mp, alloc boxes from mp

	Fixed avoid copy over n bytes in tmp buf for http log

	Fixed use any box to avoid serializer/deserialize to string

2015-08-21  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC, Sesame2 and Jena2 providers

2015-08-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of JDBC, Jena2 and Sesame2 providers

2015-08-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_08_20_fix_JDBC_charset' into develop/7

2015-08-20  Sergey Malinin  <smalinin@openlinksw.com>

	Fix log_enable support

	- for JDBC driver, new methods:    public void setLog_Enable(int bits);
	   public int getLog_Enable();
	was added

	- for Sesame2 and Jena2 providers, the "/log_enable=2" option is added, when JDBC URL connection is used.

2015-08-20  Sergey Malinin  <smalinin@openlinksw.com>

	Update JDBC Datasources for support both JNDI attribute names "charset" and "charSet"

2015-08-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with stats

	* export keys by name in sames
	* blank nodes stay same in export
	* temp fix to read some bad stat files

2015-08-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Added more flags

	Fixed in traversing plans do the non oj before the oj

2015-08-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Added optimization for date/datetime/time escapes

2015-08-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with oj plan

2015-08-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed size of rdf lang cache

	Fixed typecast and missing declaration

	Fixed drop box flags prefix in a dv for all cols except ANY data, so not part of comparison

	Fixed issue with NULLs in chash init

	Fixed missing inc of inx for a null agg else gby merge will be wrong

	Fixed check if cli is set and we are actually logging before updating stats

2015-08-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

2015-08-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_08_03_fix_JDBC' into develop/7

	Updated version of JDBC driver

2015-08-03  Sergey Malinin  <smalinin@openlinksw.com>

	Update JDBC driver UTF8 to String conversion for return ? for bad character instead of throw Exception.

2015-08-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed xmlliteral should be serialized as UTF-8

2015-08-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with dc values

	Should not decrease dc values, as it can be partly filled by cond exp

2015-08-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Added batch validation of JSO instances and new mode 3 for RDF_AUDIT_METADATA()

	Fixed mem leak on sparql error

	Fixed use different macro for columns as just st_p can go wrong on const

	Fixed when client disconnects, set qi_client to nil to avoid read of free

	Fixed return sql error when dirlist is too large

	Fixed mem leak

	Fixed show C lib error when log file cannot be changed

	Merge branch 'develop/6' into develop/7

	Fixed typo

2015-07-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Added iframe opt

	Updated namespace prefixes

	Fixed /sparql endpoint definition to include CORS handling

2015-07-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated DAV API and related DETs to use new RDF params

	Added optimizations using RDF params for DET folders

	Fixed issue with hook procedure for WS.WS.SYS_DAV_PROP

	Fixed minimize dependency of DAV api on DETs

	Updated version of Conductor VAD package

	Updated UI related to new DETs graph share

	Added support for new RDF params in WebDAV browser

	Optimize view of authenticated OAUTH user

	Added export function for key storage

	Fixed label

	Updated version of FCT vad

	Added property

	Fixed small issues

	Fixed text from rdf_quad is utf8

	Updated version of VAD package

	Moved VAD dependency handling from conductor to engine

	Updated UI related to new DETs graph share

	Added support for new RDF params in WebDAV browser

	Optimize view of authenticated OAUTH user

	Added export function for key storage

	Fixed label

	Moved VAD dependency handling from conductor to engine

2015-07-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed EWKT reader to be case-insensitive according to paragraph 7.2.1. of OGC 06-103r4

	Fixed log txn id in debug mode

	Fixed format of log txn id

	Added bif for txn identification

	Added more tlsf debug code

2015-07-27  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC, Jena2 and Sesame2 providers

2015-07-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_07_27_fix_github_448' into develop/7

2015-07-27  Sergey Malinin  <smalinin@openlinksw.com>

	Updated version of Jena2 and Sesame2 providers

	Fixed issue with literals that have both Language and Datatype tags

2015-07-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed file distribution list

	Fixed recovery of DefaultQuadStorage etc in DB.DBA.RDF_AUDIT_METADATA()

	Added missing definition

2015-07-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed return error instead of GPF

	Added more cpt counters in sys_stat

	Fixed md5 function to work on rdf boxes

	Added counter for restore uncommitted

	Fixed crash in debug log when client died

	Fixed backup on main thread does not have reset_ctx

	Added more log messages

	Fixed recovery of DefaultQuadStorage etc in DB.DBA.RDF_AUDIT_METADATA()

	Fixed breakup when output cols are same on 1st group

	Fixed buffer alloc check

	Added log write metric

	Fixed mem leak

	Fixed debug code

	Fixed issues comparing doubles

2015-06-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number to 7.2.1 for release

	Updated version of ODBC driver

	Fixed issues in cost model

2015-06-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed moved timezoneless check to soap_print_box

2015-06-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing files from distribution tar

	Fixed issue building distribution tar

	Updated documentation

2015-06-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed indentation

	Fixed memory leak

	Fixed check if key is avail before setting sample

	Fixed memory leak if prev sample exists

2015-06-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed reset fill cha, else can get ref to freed on 2nd use of subq

	Fixed expiration can be null

2015-06-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.1-rc2

	Updated engine version to 3214

	Removed deprecated test code, fixed initialization and portability

	Fixed return 0 if no rtc clock can be found

	Fixed decl after stmt

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed irrelevant test

2015-06-11  Patrick van Kleef  <pkleef@openlinksw.com>

	Updated JDBC drivers and Jena provider

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC driver

2015-06-11  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issues loging JDBC XA operations and JDBC RPC calls

	Added new Methods setLogFileName/getLogFileName and attribute
	"logFileName" to VirtuosoDataSources for logging support

	The user can add the following Datasource property in JBoss for logging:
	     <xa-datasource-property name="logFileName">c:/jdbc.log</xa-datasource-property>
	or
	     <xa-datasource-property name="logFileName">/home/test/jdbc.log</xa-datasource-property>

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of Jena provider

2015-06-11  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issue closing XA connection

2015-06-11  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild all JDBC drivers, hibernate and Jena and Sesame providers

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC driver

	Rebuild Jena2 provider

	Updated version number of Jena2 provider

2015-06-11  Sergey Malinin  <smalinin@openlinksw.com>

	FIxed generated query and error messages

	Fixed issue with DELETE query

	Fixed issue with blank nodes in DELETE constructor

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use flag 2 in insert_c when db is multigraph

	Added new bif gvector_deduplicate_sorted()

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new text index functions and aggregates

	Functions:
	vt_word_string_id_init
	vt_word_string_id_acc
	vt_word_string_id_final
	vt_word_string_ro_id_final

	Aggregates:
	VT_WORD_STRING_ID_AGG
	VT_WORD_STRING_RO_ID_AGG

2015-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with revert delete on col row

	Fixed insert of xml literal

	Fixed do checkpoint on new cluster db

	Fixed issues with timezoneless dates

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.1-rc1

	Fixed compiler warning

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with SPARQL queries using sub-selects

	* Fixed SPARQL queries with sub-selects that return constant columns:
	* Fixed handling of "plain box" constants in sparp_values_equal()
	  and sparl_rvr_set_by_constants()

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial support for define input:with-fallback-graph_uri and input:target-fallback-graph-uri

	Added initial fix in sparul target for ignore default graph from context but set from USING

	Fixed small cleanup

	Fixed missing case for real

	Fixed compiler warning decl after stmt

	Fixed only use wi_inst.wi_schema not cc_schema

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with conditional expression

	Fixed cond exp gen, in and/or, starts at 2nd term also if 2nd term
	is last

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with conditional section

	A dfe that gets assigned a ssl in a conditional section gets the
	ssl cleared away after the extent

2015-06-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with split in cpt rb where itx has no trx but lock may exist

2015-06-04  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC Drivers

2015-06-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed report statement with nil col

	Fixed JDBC driver did not use SQL_TXN_ISOLATION setting from init handshake

	Added support for debugging DV_RDF

	Fixed insert triple with XML type

	Fixed issue with bad filter reduced to NULL

	Merge branch 'develop/6' into develop/7

	Removed testsuite jars

	Fixed issue with timezone

2015-06-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixd crash when anytime w/ gby

	Fixed sparql text can be large, so enable blob flag

	Fixed add setting to allow more than 100 keys in distinct

	Fixed if cli terminated don't perform stats

	Fixed txs can be considered first in outer

2015-05-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing initialization

	Fixed issue with possible unsafe mem access

	Fixed jgraph param must be an iri

2015-05-25  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

2015-05-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'feature/2015_05_25_fix14322' into develop/7

	Updated version of JDBC driver

2015-05-25  Sergey Malinin  <smalinin@openlinksw.com>

	Additional fix for RPC reader

2015-05-25  Sergey Malinin  <smalinin@openlinksw.com>

	Fix #14322

	- added millisec fraction for Time value
	- fixed issue in RPC reader for Date value

2015-05-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed flag for cl load from rdf view

	Fixed a dt can be a leaf for a plan

	Fixed issue with multistate order by

	Added flag

2015-05-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed g card i exact p stat

	Fixed use macro

	Fixed col always null, no nulls in inx

2015-05-22  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

2015-05-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC driver

2015-05-22  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed throw exception when reading polygon geometry by JDBC

	Fixed SPARQL DateTime literal timezone handling

2015-05-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed building new tidy code on windows

	Added LDP support in DAV API

	Merge branch 'develop/6' into develop/7

	Fixed typos

	Updated Conductor version

	Fixed issue deleting files from DAV

	Added footer icons to /describe page

2015-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed link qr super to containing proc

	Added flag for no atomic and always logging

	Fixed __ro2sq arg an be dc of boxes, so get ids from box

	Fixed issue with delete up transit check

	Fixed set tz to 0 if timezoneless

	Added new function for protocols

	Added new cache for compiled regular expressions

2015-05-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash in client disconnects during backup /dev/null

	Fixed temp set db_explain_level 3 for debugging

	Added missing flag

	Added error check

	Added support for exp in TOP/SKIP

	Fixed do env in cl also if not partitioned tb

	Fixed missing init

	Fixed renamed var

	Fixed reporting of bad ssl ref

2015-05-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Added optional sslr check

	Updated documentation

	Fixed mtx was not entered, block serialized on other mtx

2015-05-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memory leak when cleaning regexp cache

	Fixed redundant trailing '\0' from wide char arg

2015-05-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use cursor for delete as inline performs bad

	Fixed allow both CURRENT_TIMESTAMP and CURRENT_TIMESTAMP()

	Fixed return \uNNNN\uNNNN instead of \UNNNNNNNN in JSON strings

	Fixed SPARQL abs() should not convert result to integer

2015-05-15  Tim Haynes  <thaynes@openlinksw.com>

	Removed openjdk-6-jdk; do not build or package JDBC4 target.

	(Note a precompiled virtjdbc4.jar is still included in source distribution for legacy purposes.)

2015-05-15  Patrick van Kleef  <pkleef@openlinksw.com>

	Fixed issue with configure if the version of jdk is not installed

2015-05-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed LDP missing triples when subj == new subj

	Added latest tidy-html5 code

2015-05-14  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers and Jena2 and Sesame2 providers

	Fixed typo in prototype

2015-05-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing MKCOL keyword

	Fixed must reset client as i may be on different thread

2015-05-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Revert "Fixed use xml 1.1 decl to sparql-results"

	This reverts commit b7bf79008d750a0cc0fe3f0cfc479380d0beeae1.

2015-05-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with xsd:dayTimeDuration in codegen

	Use properly parsed value instead of NULL in SSG_VALMODE_NUM

2015-05-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of Jena2 provider

2015-05-13  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed set prefetchSize to 100

	Removed deprecated class reference

	Fixed XSD:dateTime format if fraction is 0

	Removed deprecated functions

2015-05-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of JDBC drivers

2015-05-13  Sergey Malinin  <smalinin@openlinksw.com>

	Removed mask from hour in rpc

	Fixed XSD:dateTime format if fraction is 0

2015-05-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with docdir missing from older versions of autoconf/automake

2015-05-11  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild Sesame2 provider

2015-05-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of Sesame2 provider

2015-05-11  Sergey Malinin  <smalinin@openlinksw.com>

	Added support for maxQueryTimeout in Sesame2 provider

2015-05-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed split trx as graph re-load would fail n cluster

	Fixed use dav sequence for uniq ids, cursors are not efficient

	Fixed issue with pcre error codes

	Fixed use xml 1.1 decl to sparql-results

2015-05-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed tell gnu make not to build certain targets in parallel

	Fixed issue building tutorial

2015-05-05  Sergey Malinin  <smalinin@openlinksw.com>

	Fix  ADO.NET provider: incorrect handling of the VirtuosoCommand.CommandTimeout property due to integer overflow #376

2015-05-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC, Jena, Jena2 and Sesame providers

	Updated version of the JDBC driver

	Updated version of Jena, Jena2 and Sesame2 providers

2015-05-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix issue in Jena with properly get Date/Time/DateTime literals

2015-05-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed Sesame2 provider to return xsd:boolean as  "true"/"false" rather than "1"/"0"

2015-05-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed Jena2 provider

	* Return xsd:boolean as  "true"/"false" rather than "1"/"0"
	* Fixed issue with insert data via Jena provider in XA transaction

2015-05-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed filesystem permissions

	Fixed CRLF

	Merge branch 'develop/6' into develop/7

	Added initial support for private RDF graph

	Updated version of FCT

	Fixed labels

	Fixed UI to work with private graphs

	Merge branch 'feature/2015_03_13_fix16653_use_new_server_proc' into develop/7

2015-05-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fix configure settings

	Fix Jena & Sesame provider for use updated server proc rdf_insert_triple_c() for insert BNode data

2015-05-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to set content length threshold for async sponging

	Sponger Configuration Settings panel in Conductor now surfaces
	registry setting for controlling content length threshold at which
	jobs submitted to /ext and /enr endpoints are run asynchronously

2015-05-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to create shared folder if not exists

	Fixed DETs to work with new private graphs

	Fixed issue with NDEBUG build

2015-05-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with OPTIONALS with a common dependent variable

	Use deeper inspection for e_nested_optionals

2015-05-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed codegen for ((A is NULL) or (A=B)) and similar in LEFT OUTER JOIN

	Fixed compiler warnings

	Fixed compiler warning

	Added new macro SPAR_LIT_DATATYPE

2015-04-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed CORS headers

	* Added Authorization keyword to Access-Control-Allow-Headers
	* Added support for Access-Control-Allow-Credentials

2015-04-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with negative cost for empty table

	Fixed issue with cast error in profile

2015-04-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with SSL handshake

	* Socket can be non-blocking and not ready for reading
	* Fixed error reporting

2015-04-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/6' into develop/7

	Fixed permission issues

	Merge branch 'develop/6' into develop/7

	Fixed user switch is not needed

	Fixed UNDEF is now a valid generic subexpression in SPARQL

	Fixed GPF on call of SPARQL COALESCE with 0 arguments

	Fixed issue with timezone for dt_to_rfc1134_string in http

	Fixed check and label

	Fixed typo

	Fixed commented out debug prints

2015-04-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed create procedure as non-dba

	Fixed xsd:boolean support in rdf_insert_triple_c(), rdf_replace_graph_c() and rdf_delete_triple_c()

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed rdf box deserialize needs certain length

	Fixed issue from analytics

	Fixed issue from analytics

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with expression card

	Ctrl expressions must flag order by dep and skip to min card

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with hash fill dt

	A hash fill dt can have its select altered by adding cols.  do not
	use the original from the ot, make a copy, put the copy back in the
	ot when generating, keep intact until then, can be cached dt
	compilation, so ot dt must stay the same

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with cost based optimizer

	If col of dt, it can have a card and if it is lt the card of a refd
	col assume pk/fk and estimate the lower card of the 2

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed remove dup samples from stat

	Fixed count row wise deletes in cnt delta on tb

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with chash exception

	Clear exception fill else streaming or multi part can get wrong exc

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash in xtree_doc on a clustered blob

	Fixed issue multiple OPTIONALs for a variable or nullable subq + optional

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with upper and lower bound col specs

	When combining upper and lower bound col specs, do not do it if
	either spec already has upper and lower

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial support for datetime without timezone

	Fixed issue with testsuite hanging on urlsimu check

2015-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support to run individual tests from testsuite

	Example:
	cd binsrc/tests/suite
	make test T=thttp.sh

2015-04-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed SQL codegen for SPARQL SELECT ... count(*) ...

	Fixed signed double got changed minus sign but not changed original_text

	Added new pool functions for handling strings

	Fixed handling of UNAME values in LONG valmode an in casts to OBJ

	Fixed warning should be in debug mode

	Fixed issue with changing dba and dav password via commandline

	Fixed testsuite

	Fixed testsuite

	Fixed qt check for double

	Merge branch 'develop/6' into develop/7

	Fixed support for graph permission checks

	Fixed label

	Fixed small serialization issue

2015-04-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed labels

	Added support for folder option related to .TTL redirection

	Added folder option related to .TTL redirection

	Added option to enable/disable DET graphs binding

	Fixed removed 'Verify' button from IMAP DET UI

	Fixed hrefs for resource paths in DAV browser

	Added text/turtle functionality to create file action

	Fixed describe mode from LOD to CBD

2015-04-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new functions to edit turtle files

	Fixed prefix search bug when editing turtle files

	Fixed title and typos

	Added support for emitting microdata instead of rdfa

	Fixed bad font issue on Chrome

	Fixed bad font issue on Chrome

	Added support for VAD dependency tree

	Fixed conflict using graph for share and LDP in WAC delete queries

2015-04-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with datatype(boolean) AS ?dt

	Updated documentation

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed func name in error message

	Updated engine version

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with STRDT positiveInteger typed as integer

	xsd:negativeInteger, xsd:unsignedLong and the like are wrapped into
	rdf_box_t, preserving an exact type

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue UNION with multiple BINDS in SPARQL

	Wrong copying of filter into members of UNION when there's a bad
	member and a copy of the filter should stay outside.

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with chash

	When chash type incompatibel w ce type, all sets falling in the ce
	fail. So inc the itc match in accordingly, else will return next
	row in same ce.

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Added qt_diff

	Fixed crash with _cvt(noargs)

	Fixed xs is a box and must be freed as box

	Fixed quicker check of qt results

	Fixed issue ssg_print_retval_bop_calc_expn(): unsupported valmode

	Fixed CSV format for REAL

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with bif_one_of_these()

	Mixing of UNAME and non-UNAME strings, as well as BF_IRI and plain
	DV_STRINGS (and not casting BF_UTF8 DV_STRINGS to wides with
	connection charset)

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with scalar and vectored impl of __id2in() and __id2i()

	Fixed issue with returning scalar

	Fixed bulkloader should not use graph name for base

	Fixed issue with MALLOC_DEBUG

	Removed unused code

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed handling of '*' in COUNT(*) and COUNT(DISTINCT *)

	Expand '*' into true list of variables before the optimization loop

2015-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed perms

	Added new implementation of xsd:boolean logic

2015-04-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed NULL in in/target of trans skipped

2015-04-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check for NULL in key position

2015-04-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixes for TLSF

	* Fixed issue with MALLOC_DEBUG
	* Fixed area mmap cannot be over 1G
	* Fixed reporting

2015-04-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed no overflow for empty p in p stat o case

	Fixed put text after test

2015-04-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with cost based optimizer

	* Fixed possible div by 0
	* Fixed rgs check is never true as it is always in a NOT so no effect on card

2015-04-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Added procedures to create a VAD dependency tree

2015-03-27  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed Date/Time/Timestamp values to Jena/Sesame Node Literal

2015-03-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed graph handling in old Jena provider

2015-03-27  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issues in old Jena provider

	* Corrupted literals with datatypes using Jena provider
	* Issue with returns wrong date/time/timestamp values

2015-03-27  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed corrupted literals with datatypes using Jena provider

2015-03-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed date / time / datetime CAST

	Fixed error strings plus compiler warnings

	Fixed coalesce() for full outer join like two VALUES with UNBOUNDS of same var

	Small code cleanup

2015-03-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with shadow slot in sorting node (revised)

	If shadow ssl in setp it does not mean read shadow in sort read of setp.
	In single no, in cluster maybe.
	So see if shadow in effect at making sort rdr and use the shadow or the org ssl of setp as may be

2015-03-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed when non txn insert, no rollback of blob since page refd blob

	Fixed missing check for trigger

	Added support for Bnodes in bulkloader

	Merge branch 'develop/6' into develop/7

2015-03-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for default vdirs when creating new listeners

	* Added table HTTP_HOST_DEFAULT which holds default vdirs
	* Added button on conductor vdir page to create default vdirs
	* Added new pl ADD_DEFAULT_HOST to create new default vdirs
	* Added load/save virtual host options
	* Register /DAV in default vdir table

2015-03-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing lang flag

	Fixed order of functions

2015-03-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue in cost based optimizer with inferencing

	In inf subp sample, get the inx card and right and get the col card
	correction right if 0, no /0

2015-03-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with same as on p

	No same as on p if there is sup on p, subp to contain expansion of
	sas and equiv p

2015-03-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed do not leave old ce reloc records in col alter table hanging after splitting a leaf page

	Fixed remove old #if GEO_INDEX .. #endif

	Fixed top k hash join not to overdo ref card

	Fixed faster compart for p col

	Fixed no hash merge icol is modified by trailing rdf inf

	Fixed when normalizing non iri fot sas distinct, return result

	Fixed check if cert is available

2015-03-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to enable running triggers on rdf quad

	Fixed issue with multiple graph repl and FT index

2015-03-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed optional minus sign on sparql values

	Fixed allow http status 203 as valid response to sponge request

	Fixed handling of language tags in strstr, strcontains, strstarts etc

2015-03-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to set http server socket non-blocking with write timeout

	Merge branch 'develop/6' into develop/7

	Fixed issue running thttp on mac os x

2015-03-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

2015-03-04  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed JDBC hang on PreparedStatement when using setFetchSize() method

2015-03-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'develop/7'

2015-03-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild sesame2 provider

2015-03-03  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed storing blank nodes as URIs

	Sesame2 provider now store BNodes as Virtuoso Native BNode by default

2015-03-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed json-ld results with no @id for objects that are URIs

	Merge branch 'develop/6' into develop/7

	Updated Conductor VAD version

	Fixed cleanup

	Fixed use WebDAV Preferences

	Fixed labels

	Fixed fct labels

	Fixed typo

	Fixes issues with new realms

	Fixed link-out

	Added popup dialog to search for unknown prefixes

	Added enable/disable for new regstry valye in WebDAV settings

	Added registry option to add  missing prefixes for .ttl files

	Fixed issue with application/x-apple-diskimage in buildin types

	Fixed issue with subfolders of DETs type ResFilter and CatFilter

	Added LDP enable/disable option for folders

	Fixed more html detection in fct

	Fixed assume text starting with '<' is html or xml, so render as is

2015-03-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed skip ssl is not supposed to be vector, thus take 1st from original

	Fixed issue with sparql translation

2015-02-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing rpc tags

2015-02-24  Tim Haynes  <github@stirfried.vegetable.org.uk>

	Debian build: specify both openjdk-{6,7}-jdk packages as build dependencies

2015-02-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing rpc tags

	Fixed tsuite for polygon

	Commented out declspec for windows as it interferes with EXPORT

2015-02-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added small query optimization

	Added key delete stats

	Added key delete stats

	Added better handling of HTTP status codes on SPARQL graph protocol endpoint

	Fixed checks for WIDE boxes in debug mode

	Fixed box length check in DEBUG mode

	Fixed format for float and double arguments

	Fixed format for long long args

	Fixed use snprintf

	Fixed issue with NULL arguments

	Fixed issue with ORDER BY TOP xxx in SPARQL GROUPING SETS

	Added initial support for SPARQL GROUPING SETS

	Added gcc/clang format attribute for better compiler warnings

	Fixed issues handling language IDs case-insensitive

	Merge branch 'feature/sparql_11_ebv' into develop/7

	Fixed file perms

	Fixed issue using strings with BF_IRI flag

	Added initial implementation of __ro2ebv() BIF

	Fixed missing var

	Fixed buildin VALID() to use rb_uname_to_flags_of_parseable_datatype

	Fixed print of equiv restriction as filter when equiv has fixed value that is literal with type or language

2015-02-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed cast to SSG_VALMODE_BOOL

	* Fixed cast from SSG_VALMODE_SQLVAL to SSG_VALMODE_BOOL
	* Fixed distinction between SSG_VALMODE_NUM and SSG_VALMODE_SQLVAL re. this cast

2015-02-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed better calculation of SPARQL 1.1 EBV for non-numeric typed literals

	Added initial support for SPARQL 1.1 EBV (Efficient Boolean Value)

2015-02-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed assert should only be checked in DEBUG mode

	Removed deprecated test

	Added flag to enable plan warnings

2015-02-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed function never returns

	Fixed compiler warnings on type mismatch

	Fixed missing initialization of flock struct

	Fixed openssl initialization order

	Fixed building with NO_THREAD for single thread usage

	Fixed compiler warnings on uninitialized data after calling function that do not return

2015-02-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with possible col ref corruption

	The col ref can get corrupted if delete drops a page and adds a
	page via loss of compression on recompress. Any added/deleted page
	should set any_del, causing the col ref to be written to the leaf row

2015-02-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed O range not applicable on inlined values such as ints etc

	Fixed limit max query terms on freetext index

2015-02-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed default main thread size

	Fixed PM_TLSF to only work on linux

2015-02-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed --enable-all-vads enables building all vad packages

	Fixed output should be UTF-8 as expected

	Fixed invariant preds not supposed to have subqs

2015-02-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed dsk_esc_write of JS strings

	Fixes dks_esc_write of JS strings for characters that require UTF-16
	encoding of sort \u....\u.... , and the related tweak in json
	reading.

2015-02-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed calling BLOB_PAGES_ACCOUNT as is not needed on regular builds

	Removed duplicate stored procedure

2015-02-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Merge branch 'hotfix/7.2.0.1' into develop/7

	Updated version to 07.20.3212

2015-02-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 7.2.1-dev to signal new development cycle

	Merge branch 'release/7.2.0' into develop/7

	Merge branch 'release/7.2.0' into stable/7

	Updated NEWS

2015-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

    	Updated version number to 7.2.0 for release

	Updated ChangeLog

	Updated NEWS

	Fixed some issues with make distcheck

	Rebuild virtuoso sesame2 provider

	Fixed NullPointerException with openrdf/sesame for sparql with OPTIONAL


2015-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for setting SSL Protocols and Ciphers

	The SSL_PROTOCOLS and SSL_CIPHER_LIST allow the dba to disable
	certain protocols/cipher combinations on either the odbc or the
	http SSL port.

2015-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Added rate limiter for bad connections

	Added missing files to distribution

2015-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Revert "Fixed issue with shadow slot in sorting node"

	This reverts commit d9fd5d3ef7f15a737088aded94882032d3702522.

2015-02-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Added more blob diagnostics

	Fixed missing generic types from rpcreadtable

2015-02-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with shadow slot in sorting node

	If shadow ssl in setp it does not mean read shadow in sort read of setp.
	In single no, in cluster maybe.
	So see if shadow in effect at making sort rdr and use the shadow or the org ssl of setp as may be

2015-02-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed if exp in rdf o range condition, set super so they get placed once

	Fixed issue with user aggregates and chash flush

2015-02-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Added additional checks for blobs in debug mode

	Fixed check client is logged in

	Fixed memory leaks

2015-02-03  Tim Haynes  <thaynes@openlinksw.com>

	Fixed debian/ubuntu directory paths to reflect major version number only

2015-02-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Added version number variables

2015-02-03  Tim Haynes  <thaynes@openlinksw.com>

	Version bump for v7.2

	ODBC driver does not depend on Virtuoso server package - could be a thin network client.

	Rationalize JDBC / JDK dependencies

	Rationalize odbc dependencies

	Use internal iODBC header files; remove isql-iodbc target

	Misc build fixes

	Added package for JDBC drivers

	Added Debian's patch for supporting kFreeBSD

	Added changelog notes

	Added maintainer-mode for useful build targets

	Tied directory paths to major version number only; changed version numbers to reflect current v7

	Force run autogen.sh

	Changed aclocal and automake to require version 1.14 in line with current debian/testing and Ubuntu


2015-02-03  Patrick van Kleef  <pkleef@openlinksw.com>

	Removed full connect string from debug output

2015-02-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Skip these tests from tsuite for now

	Fixed issue with cxml output

	Added CREDITS from oat project

	Fixed copyright

	Added tests for rdf FTindex with blobs

2015-01-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sql like comment so awk does not break the text

2015-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with TLSF on windows

	Fixed use cast as ptrlong on win64 is 64bit

	Fixed void function should not return value

	Added missing grants

	Fixed bug with folder/file rename when item with same name exists

	Additional RPC checks

2015-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Additional RPC checks

	Updated package version to 7.2.0-rc1

	Fixed typo

	Fixed URI() is synonym for IRI()

2015-01-27  VOS Maintainer  <vos.admin@openlinksw.com>


	* Added fct build date in footer
	* Fixed handling of nodeID
	* Fixed handling of null graphs
	* Fixed handling of foaf:depiction
	* Fixed handling of iframe
	* Fixed graph perm check
	* Fixed color scheme
	* Fixed labels
	* Fixed links

2015-01-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed changed rdf+n3 to text/turtle

	Fixed reformat of bad TTL files

2015-01-26  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild Jena,Sesame,Hibernate and JDBC providers

2015-01-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed generated code depends on Makefile.am in case commandline flags change

2015-01-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed the TLSF memory area should be aligned on page size

	Updated FCT vad version

	Added missing grant

	Fixed issue with dateTime

	Fixed use group by to speed up distinct

2015-01-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash in dict_inc_or_put/dict_dec_or_remove on a dictionary with mem pool

2015-01-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed build issue on Windows

	Fixed text of proc should not be released as it is a constant

	Fixed VS project for windows port

	Removed conflict markers

	Fixed typo

	Fixed VC project files for Windows port

2015-01-19  Sergey Malinin  <smalinin@openlinksw.com>

	Fixes Sesame Provider does not properly support Dataset method (#16518)

	- Added support for defaultInsertGraph and for ONE defaultRemoveGraph
	- Multiple defaultRemoveGraphs are NOT supported

2015-01-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed windows build

	Fixed declare index order for g lis, else will not get the lowest batch as result

	Fixed declare index order also in vase of no ovby but presence of explicit index

	Fixed crash if peer name is nil

	Fixed allow dot when splitting xml qname

2015-01-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed accept TZ field without separator

	Fixed check for values in the 10 day gap between Julian and Gregorian dates

	Fixed issue eliminating empty {} in VALUE join

2015-01-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed blankNode related issues in Sesame provider

	Fixed ignore build directories

2015-01-14  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed Jena provider

	* Fixed blank nodes created with "model.listStatements(b, null, null)" interpreted incorrectly
	* Fixed issue with Virtuoso internal BNodes like bnodeID://b10005

2015-01-14  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed RoundRobin didn't handle the out of licenses case

2015-01-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed removed duplicate check

	Fixed SPARQL compiler handling of floats and doubles

	Fixed return error instead of crash when plan is bad

	Fixed complete boxes before casting in special msaccess mode

	Fixed virtodbc.dll name for Windows

	Added more flags for CSV parser

	Fixed issue checking demo db

	Added support for __tag of UNAME

	Fixed  ssg_print_equalities_of_Vars_with_globals_and_constants() as SSG_TABLE_WHERE_PASS for ssg_print_binv_table_exp()

	Fixed propagation of limits if SPART_VARR_EXTARNAL/GLOBAL variables present

	FIxed printing optimized-away data rows of VALUES in sparql_explain() dump

	Added new SPARQL pragma: define sql:comment 0/1

	Fixed issue building without both -DNDEBUG and -DMALLOC_DEBUG

	Fixed typo

	Fixed dbg_obj_princ for NVARCHARs

	Fixed use BLOB_HANDLE_DEBUG instead of DEBUG

	Fixed bad font issue on Chrome

	FIxed optionally renegotiate TLS connection

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sort accented letters from "ORDER BY" in alphabetical order

	Fixed compiler warning

	Fixed declaration after stmt

	Fixed test to permit zeroes in the middle of nvarchars

	Fixed remove deprecated argument

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed XPER support

	* No more DV_SHORT_STRING_SERIAL blocks
	* Proper trailing zeroes in DV_STRING blocks

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed for aset on narrow and wide strings

	Error is reported if aset tries to write to the trailing zero

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed warning on loading collations

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with multibyte

	* Added new virt_wmemmem() and virt_wmemcmp()
	* Fixed virt_wcsstr() and virt_wcsrstr()
	* Fixed related changes in bif_strstr()

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new functions virt_mbrlen_z() and virt_mbrtowc_z()

	Dealing  with nvarchar data that contain zeroes in the middle

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new declarations of collations

	Fixed typo

	Added script to compose lexical collations

	Fixed i18n collation related issues with SPARQL

	Fixed SQLPutData needs to handle both DV_WIDE and DV_LONG_WIDE tags

	Added Unicode3-based collations are created at server startup

	Fixed ignore illegal wide chars unless MULTIBYTE_SANITY is defined

	Fixed testsuite to permit zeros in the middle of nvarchars

	Fixed writing last char when it is greater than 0x7f

	Removed DV_LONG_WIDE boxes

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Added improved support for collations

	All collations are stored in wchar_t so no more co_is_wide
	differentiation.

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed equality of unames and strings, iri strings

	Fixed ha_copy

	Fixed flag oj out cols as nullable

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with hash oj

	hash oj can be non null in build and nullable in q after probe, so
	record the nn flag when making the build, can change when making
	the probe

2015-01-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed compilation warnings from SPARQL related files

	Fixed SPARQL lexer to use memory pool

	Added initial version of threadsafe SQL parser

2015-01-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed removed duplicate variable

	Added testsuite for SPARQL DELETE

	Added more LDP headers

	Fixed strip trailing / from target LDPC when creating LDPNRs using POST

	Fixed ifdef to compile with old malloc debug

	Added option TransStepMode to virtuoso.ini

	Added progress bar for mass operations

	Added build date in footer

	Added back button

	Removed ODS and policy-manager dependency

	Fixed change default link out behaviour for facet pivot bridge

	Added custom mapping XSL configuration UI

	Fixed copyright year

	Fixed sync DET API functions with briefcase

2015-01-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed delete sparql stmt to use dpipe

2015-01-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with TLSF causing an out-of-stack on Mac OS X

2015-01-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue potentially reading free block

	When non vec ssl refd in ks spec for cursor, potentially have chance
	to be assigned inside the loop leading to a read of free block

2015-01-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed prefer SHA256 for certificate signing

	Fixed certificates should be 2048 bits long by default

	Updated version of Conductor VAD

2015-01-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial LDPC support

	* Implemented LDP_STORE
	* Fixed Crawler UI to allow saving of crawled content to LDPC

2015-01-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed copyright

	Added indicator when max rows is returned on /sparql endpopint

	Updated Copyright to 2015

	Fixed generating bad URLs in S3 DET

	Updated Copyright to 2015

2014-12-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue sending IRI IDs to remotes when using 'where 0'

	Fixed issue with sparql ... with delete on certain datatypes

2014-12-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed header line can be potentially long

2014-12-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed startup speed with many graph group members

	Added io sect over http_renegotiate

2014-12-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed comment

	Fixed arguments cannot be null

	Fixe issue tlsf + mallocdebug

2014-12-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed Turtle parser

	* Fixed "is P of" inverse notation
	* Fixed comma-delimited list of subjects

2014-12-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing no trigger option for insert stmt

2014-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed serialization of duration

2014-12-02  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild JDBC drivers

2014-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of JDBC driver

	Fixed issue with rewind on virtuoso blob

2014-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with TestSuite

	* NullPointer Exception, when get NULL Timestamp value
	* Return wrong UpdateCount array for PreparedStatement.executeBatch()
	* Fix issue in TestPrepareBatch.java

2014-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed auth check for XMLA service

2014-12-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed increase pcre default max match limit

2014-11-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Added enable_iri_nic_n option

	Fixed when using with_delete option, ignore base graph

	Added support for multiple sparql update commands

	Added logrotate for colstore debug log

2014-11-25  Patrick van Kleef  <pkleef@openlinksw.com>

	Rebuild Jena2 provider

2014-11-25  Sergey Malinin  <smalinin@openlinksw.com>

	Jena provider update

	VirtModel - new implementations were added for batch insert and remove
	VirtSPARQLBatchExample1 - added as a demo of using new batch calls

2014-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Added .ini file option TransStepMode

	Fixed signal error instead of crashing

	Fixed typo

	Fixed run tests sequentially

	Added initial support for custom HTTPLogFormat

	Added new Flags section

	Fixed names for pcre flags

	Fixed more exec_status error

	Fixed wrong size of hash members for exec stat

	Allow storing of non-rdf LDP resources with use of Slug header

	Fixed use mp for boxes inside dict

	Fixed nn box ret type in ro2lo

	Fixed crash when anytime stops the fill in the middle

	Fixed if tls alloc separate mmap then size is special

	Fixed added extra checks

	Fixed use mp hash for gby w ua

	Fixed made ck loops readable in gdb

	Added extra check for tlsf debug

	Fixed compiling with MALLOC_DEBUG

2014-11-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for writing tlsf memory usage reports

	Added initial support for using TLSF for pagemaps

	Fixed result label and missing var

	Added log of allocsfor single threaded recording replay

	Fixed compile with mtx debug

	Added initial TLSF library support

2014-11-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed limit cached regexp hash to 2000 entries

	Fixed issues with pcre_match recursion depth

2014-11-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed mp double free when hash fill signals an error

2014-11-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed wrong plan, missing col in gb hash

	Fixed bug in S3 DET related to creating bad URLs

2014-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild Jena provider

	FIxed smallint support in r2rml

	Fixed dependency issue

	FIxed issue with DETs

	Updated version of Jena provider

	Fixed handling of Jena blank nodes

2014-11-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new role SPARQL_LOAD_SERVICE_DATA

2014-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed wrong place for tb count restore

	Fixed IN does not count as eq for index path

	Fixed start of ws op w time of last ck for hangup

2014-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed calculating hits from geo

	When recalling the no of hits from geo, return no of hits, not its
	inverse from dfe arity.  Do normal inx selection and sampling also
	for the 1st in an update, else will get e.g. graph del plans wrong

2014-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with order by / group by

	Can happen w skip w no oby that q freed w hash fillers gbys etc and
	these refd from result dcs, so no free, just make non-continuable

2014-11-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check order

2014-10-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use allocated struct instead of putting stack addr in hash

	Fixed valgrind warning about possible uninitialized elements

	Fixed avoid memory fragmentation by allocating ssls only if there are arguments

	Fixed initialization to make valgrind happy

	Fixed check for NULL column before using value

	Removed unused variable

	Fixed return expression can use uninitialized data

	Fixed write past end of buf

	Fixed memory leaks

2014-10-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed cannot merge on things like sum (or not num)

	Fixed del dbg log

	Fixed mt commit logs w pages w different lt

	Fixed return if nothing to log

2014-10-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Added debug log for del

2014-10-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check if w_id would go over dead or occupied one

	Fixed can have /vdir? so switch should be by slash and questionmark

	Updated version number of Conductor VAD package

	Removed debug info

	Fixed issue saving bad .TTL files

	Fixed issue with nice ttl printing of { <s> <p1> ""; <p2> "" }

	Fixed should preserve last matching type when cancel pressed

	Fixed __id2in must not be transferaable

2014-10-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Update Connection Pool implementation

	- Fixd issue when VirtuosoPreparedStatement.close() is called twice (PreparedStatement Finalizer could hang)
	- Removed deprecated PrepredStatement cache from ConnectionWrapper
	- ConnectionPool cache was updated for more optimal using of locks
	- Fix issue https://github.com/openlink/virtuoso-opensource/issues/243
	  (Deadlock in JDBC Virtuoso connection pool)

2014-10-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed typo in install rule

2014-10-09  VOS Maintainer  <vos.admin@openlinksw.com>

	* Fixed accept headers for ldp

	When checking accept header for suitable format, have param for
	preferences and use that in ldp

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added extra param for additional certificates

	Fixed missing check

	Fixed type check

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed expression in orderby

	An arbitrary exp may be divided on either side of an oby.  add the
	oby crossing refs to the dep of the oby also for non-col subexps

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing stmt

	Fixed check

	Fixed used wrong var

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with order by

	Do the ro2sq on right side of oby. prefer after unless done w clear
	less card. count top k in. make the post oby thing always but then
	check if the exp is in fact placed after the oby

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with outerjoin

	Can be in oj a ij (b oj c) on qq that qq must be in top where and
	not in the c oj cond. For this use not res but the ot enclosing
	where cond field. Used for nested cases. A tree with ojs can become
	a dt and that dt gets the top where conds, not the top dt.

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check for non indexed

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed cost based optimizer

	Can be a situation with in pred where in initially by index and
	then tried as a filter in cases of trying alternate scan orders.
	If so the sampling must sample in rq sample all the in lit values
	else card comes out different and comparison is not meaningful

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bad check

	Set client as eventually login hook can recompile

	Added check for delete

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed if performing backup skip rest of check

	When doing backup do not check since there can be large objects,
	killing such txn leading to crash because no lt threads

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added extra tests

	Fixed insert into vec ce for 32bit and 64bit iri inst int

	Added timeout for imap client functions and fixed indentation

	Fixed ses is not allocated as a box

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed append to end of list

	If many ces are appended then append to end of list direct. Large
	difference with short ces, like rls or things broken by intervening
	nulls

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed recompress in rld append

	In rld append, if a single gap over 15 bytes.  recompress. If delta
	between first and last append gt 20
	* n values, recompress.  If 88
	15-byte values, 1333 bytes filled, leaving space for 912 single
	byte values,

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Added more tracing

	Fixed bad loop for main of reg itc across col split

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with chash read

	If reading a partitioned aggregate with memcache from a coord qi,
	do not mark the reader at end in memcache read, do it only after
	the calling chash read decides

2014-10-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed intersect to working with other geo shapes

	Enabled more tests in v7

	Enabled rdf inf testsuite

2014-10-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing ref to __id2in

	Fixed compare floats up to 1e-6 pre

2014-09-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed crash reading online backup header

	Fixed bad dtp for rb when using JDBC

	Fixed memory leak

2014-09-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC, Jena and Sesame2 drivers

2014-09-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed should use zero iri otherwise dc becomes heterogenious (part 2)

	Fixed connection leak in JDBC connection pool

2014-09-23  Patrick van Kleef  <patrick@hoppy.(none)>

	Fixed missing patch for rb_id_only tag

	Disabled use of DB.DBA.rdf_delete_triple_c for now

	Fixed issue with stored procedures that return multiple resultsets

	Fixed date issues in JDBC driver

	Fixed issue with caching the WebID graph in the connection

2014-09-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed shoud use zero iri otherwise dc becomes heterogenious

2014-09-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed if ssl dtp does not match, make dc any

	Fixed line number problem with bad .ttl documents

	Fixed issue with itc qf output

2014-09-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed tracking memory consumption

2014-09-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of DBpedia vad

	Fixed TCN for /ontology

	Removed vad dependency

	Fixed qn_send_output may do long jump, so catch and reset inputs then throw

2014-09-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed DETs

	* Added OAuth option for WbDAV DET
	* Changed default sync value to 'off'.

2014-09-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed when input ssl is same as output, save the initial value and reset on continue

	Fixed bug with edition TTL file content after errors

	Added definitions for predefined namespaces by TTL uploads

	Renamed old SkyDrive name to OneDrive

	Added sync enable/disable option for DETs

2014-08-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Update Jena provider for use new Bulk Loading calls

	* Update for using new Bulk Loading calls
	* Update for support Jena 2.12.0 (note Jena 2.12.0 uses JDK1.7)
	* Update makefile for compile using JDK1.7
	* Fix for avoid Statement leaks with old versions of Virtuoso JDBC driver

2014-08-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with duplicate hashes

	When filling hash accessing ha_slots with qst_get, can happen to be twice.
	and any dc, will reset the value and access bad memory,
	therefore deduplicate ha_slots

2014-08-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with LDP

	Added support for regexp starting with "^/"

	Fixed proppatch authentication

	Fixed set uname and defperms which matching to sql account after val auth

	Fixed void fn must not return value

	Fixed reading a null into boxes dc from cl

	Added missing dbs init ck in case of cpt recovery

	Added missing init for cpt recovery

	Added switchable parse mtx

	Fixed reserve members for in place reordering of independent dfes

	Added new settings

2014-08-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed track sq cache hits

	Do not concider tautologies like not (1=0) which come from sparql

2014-08-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed last batch should go to end off array

	Fixed uninitialized errmsg when SQLError returns SQL_NO_DATA_FOUND

	Fixed issues with Windows setup dialog using PKCS12 certificates for authentication

	Added conductor UI for Inclusion.Engine

2014-08-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Added serialize/deserailize via string session

	Fix for sparql select str("2000-01-01T00:00:00.000+02:00"^^xsd:dateTime)

2014-08-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed col_min & col_max are boxes

	col_min & col_max are boxes so don't unbox else we get wrong index
	for max and dup of distinct

2014-08-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bad conduction check for g selection

2014-08-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with SQL_UTF8_EXECS=1 causing JDBC driver to crash

2014-08-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

2014-08-11  Patrick van Kleef  <patrick@hoppy.(none)>

	Rebuild JDBC, Sesame and Jena drivers

2014-08-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed saving .p12 file in Windows ODBC Setup dialog

	Fixed transaction handling in Sesame2 provider

	Removed deprecated files

2014-08-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with batch procedure execution in JDBC driver

	Added support for bulk loader to the Sesame2 provider

	Fixed Sesame2 provider avoid leaks using older versions of the JDBC driver

	Fixed statement leaks in JDBC driver

2014-08-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of Conductor VAD

	Added image throbber for DET auth dialogs

	Fixed CSS bug in WebDAV skin after login

	Fixed bad base uri from crawler

	Fixed bad base uri from crawler

	Fixed deadlock issue on DETs

	Added recursive property update for DETs

2014-07-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with deadlock on some DETs

	Added export certificates pub key as DER

2014-07-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with invariant preds

	Do not place invariant preds twice for plans that start the same
	way, keep in ot whether the inv is placed and reset when in fact
	unplacing

2014-07-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed save in iter lists acress compiling subq

2014-07-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Added User header in LDP response

	Fixed misleading message as virtuoso can handle many formats

	Fixed use sized free as len is known

	Fixed issue with LDP

	Fixed memory leak

	Fixed permission error in WebDAV

	Fixed problem with check exiting OAuth registration key

2014-07-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated WebDAV

	* Added sync after DET folder creation
	* Fixed DET API functions

2014-07-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed DAV_PROP_REMOVE for new :virtpubliclink

	Added new system property in WebDAV

	Fixed permission error in WebDAV

2014-07-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with LDP perms

	When public read via WAC then set public read flag in unix like
	perms when doing patch update content of the physical turtle resource

2014-07-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with LDP acl

	Fixed when deleted, keep nth in order for ldpr name

2014-07-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue in __xqf_str_parse_to_rdf_box

	__xqf_str_parse_to_rdf_box() will never suppress errors when wrong
	string is an argument to convert to virtrdf:Geometry

2014-07-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new bif read_log to check trx files

2014-07-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed redirection for containers, use API in case of DETs

	Added new system property virtpubliclink for DAV

	Fixed LDP over writable DETs

	Fixed when CORS enabled, print relevant headers to be read by app

	Fixed keep bd readers intact

	Fixed permission error

	Fixed issue with checking existing OAUTH registration keys

	Fixed send signal to have error in error page instead of silent exit with 500

2014-07-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed DAV api is expected to import turtle in the rdf store

2014-07-16  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated LDP support

	* Added more extensions
	* Fixed use IN for fast execution
	* Fixed compatibility with cimba.co
	* Fixed meta and acl links
	* Fixed use IRIs to match current domain

2014-07-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed support for LDP

	* Added support for paging
	* Added precondition in HTTP PUT to check for containers and use
	  pretty TTL for LDP output
	* Added OPTIONS headers in GET requests over LDP
	* Added tsuite tests
	* Fixed issues with MKCOL
	* Removed redundant code

2014-07-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with order by

	If invariant has computed parts, place these first and make the
	cond after this but before other

2014-07-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with vec trig params

2014-07-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with allocators for javavm enabled binaries

2014-07-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed fully qualify rdf quad table as bif can be called from any qualifier

2014-07-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed DAV queue must run entries on separate txn

	Fixed cleanup www-authenticate header when already authenticated

	Fixed should commit before switching to chunked else may keep long locks

	Fixed issue with LDP extension in DAV

	Fixed http TCN

	Fixed issue using http in error handler

2014-07-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed TPC-D test failure

	Fixed compare of float

	Fied trace of col itc moves

	Fixed issues with bad limit, extend string if needed

	Fixed missing initialization

2014-06-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed removed restrictions for some file types in OneDrive from old API

	Fixed updating activity property in the configure proc

	Fixed issue uploading .ttl files

2014-06-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sk count

2014-06-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new tests

	* Client callable graph ins/del/replace
	* Misc protocol
	* Vectored stored proced proc with array params

2014-06-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed small issues in tsuite

	Added special case of insert into vec ce for 32 and 64 bit and int iri

2014-06-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for quality factor in accept headers

	Fixed CA cert removal

2014-06-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated crypto functions

	* Added bifs to support CA
	* Added flag to pkcs12 import/export for CA chain

2014-06-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed verify should work with both DER and PEM formats

	Fixed get set nos from the rig sctr, can be many if flattened sqs

	Fixed SPARQL DELETE DATA when a complete RDF box w/o RO_ID is passed as obj

	Fixed cost based optimizer in case there is 1 match

	Fixed print patched patch in http req, replace space and stop at hash

	Fixed issue with rdf box with a geometry rdf type and a non geometry content

	Fixed issue with code generation of complex SPARQL query

	Updated engine version to 3211

	Fixed regression for SPARQL 1.1 VALUES bindings

2014-06-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with SPARQL compiler for R2RML

	* Support for construct where { graph `backquoted_expression` {}}
	* Fix for codegen for (?o = SQLVAL_expression)
	* Better codegen for printing SQLVAL as short object if the SQLVAL
	  is proven to be reference.

2014-06-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Disable bif_str_vec when there is a second param and it is not zero

	Added support for printing constants verbosely incl type and box flags

	Added plugin initialization with actions before log replay

	Added initial support for OVL validation for R2RML graphs


	Fixed ttpch crash

	Added check for allowing hash join with rdf even if not enable 2 if text pred and checking existing of match

	Fixed cost base optimizer for some internal functions

	Fixed increased defaults

	Fixed qt functions

	Fixed issue with chash and rdf lits

	Fixed inx for blob is +1 so compare with +1

	Fixed typo in CSV setting

	Updated version of Conductor VAD

	Updated to latest DET changes

	Added verify API functions to DETs

	Added function to validate values for integer, float, date etc

	Fixed issues with labels

	Fixed labels in WebDAV skin

	Added permanent login/logout dialogs to WebDAV skin

2014-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of Conductor VAD

	Fixed conductor grants page to use escaped identifiers

	Fixed problem with application trying to overrule UID when using public-key authentication protocol

	Fixed adding key

	Fixed key delete

	Fixed box for frq lookup, as rpc uses boxes to prevent malformed rpc

2014-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed isssue with blocking SSL_connect

	If timeout specified, set that to socket before calling SSL_connect
	otherwise it may block inside

2014-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed should not free ref params

2014-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memory leak

	If non-vectored free param values before to exit of qr_subq_exec,
	the caller expects values to be released

2014-06-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues in hash

	Fixed non chash distinct gby with nulls

	Fixed issue with bootstrap cli user

	Fixed consider box flags of string boxes for box equal

	Fixed issue when qr needs to be recompiled

	Fixed problem with application trying to overrule UID when using public-key authentication protocol

	Fixed grants for sponging

	Fixed issue inserting float/double col

	Added new client callable graph ins/del/replace functions

	Fixed faster loading of TriG with numerous small graphs

2014-06-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of Conductor VAD package

	Fixed user 'edit' account button failed to load

	Fixed bug creating colters in IMAP DET

	Added support for users to set seq.no for cartridges

	Rebuild JDBC drivers

	Rebuild JDBC and Sesame2 drivers

	Updated version of Sesame2 driver

	Fixed class definitions

	Fixed use long for large datasets like Uniprot

2014-06-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for arrays so JDBC/Jena/Sesame RDF bulk loader is not string based

2014-05-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memleak when out of stack

	Fixed missing check for http ctx

	FIxed check if pred is actually a column

2014-05-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for two new variables in url rewrite rules

	* ^{Host}^ is replaced with the current connection's hostname
	  (http_host())
	* ^{FullHost}^ is replaced with the full host including protocol,
	  ie. something like http://host.com

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Conductor version to 1.00.8733

	Fixed commented stub code

	Fixed issue with xcontains and DAV resource

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with col wise inx

	The whole row rd shorttcut does not apply to col wise inx.  Normally
	not seen since the no compressibles flag is usually not on for a
	col-wise table.

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed handle asnrsa der

	Moved leave of bootstrap mutex till after postponed actions

	Added stub

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with multiple OPTIONAL

	Multiple OPTIONAL with same name works, two optionals with different
	names and an equality does not work

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with coalesce and join on (A is null or A=B) for nullable A in left OJ

	Fixed issue generating restrictions

	Fixed text of microformat pages

	Added initial support for SPARQL INSERT with DV_GEO literals


	Fixed issue with null ssl

	Fixed issue with col split and autocompact

	Fixed moved code

	Updated support for ST_Transform from projections from proj4

	Fixed auto ST_Transform on 2nd arg of ST_Intersects to SRID of first arg if needed

	Added initial support for upcoming proj4 plugin

	Added initial support for xsd:gYear and the like

	Use C instead of C++ commments

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed ssl read/write error condition

	When ssl read/write returns error see if retry needed, use same
	mechanism as for EAGAIN

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for MALLOC_DEBUG build

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with different dtps in branches

	When breakup have diff dtps in branches, make top any to fit data
	in result

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed syntax of CASE ?g WHEN ... in generated DB.DBA.RDB2RDF_FILL_XXXX proc

	Added support for CASE x WHEN ... and CASE WHEN in SPARQL

	Added support for graph_xlat in conductor scenario for RDF views

	Fixed when inserting into in32 vec, check items are in int32 range

	Added prof stats to end node

	Fixed consider IN with const s eq with const

	Fixed issue with varbinary in rdf views

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed several parsing issues

	* Fixed ttl lex internal error
	* Added longjmp at the <<EOF>> rule stops the sniffer
	* Fixed issues with nquad

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed enable lex internal error for a while

	Fixed do not do the inf on subs of leaves

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue in cost based optimizer

	p stat kept in ric, for each inf ctx. Nno use of p stat for keys
	that do not start with p or start with pg.

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed leaking mem from namespace prefixes during turtle sniffing

	Fixed use sized free to avoid fragmentation


	Fixed memory leak

	Added da_same_seg to the db_status output

	Fixed GPF when key is not defined

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with cost based optimizer

	Adjust card when leading O or S if no leading text, adjust second
	card to be at least one when match on 1st and no more conditions

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with ccost estimate on distinct proj

	In case of distinct proj, have a separate key count. Sample distinct
	projections.  Do not believe col values from these except for the
	n distinct of the leading col in a dist proj, which will be a
	reliable estimate

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed no index path of hash probe side, set text pred card

	Fixed issue with gunzip when no content

	Fixed check whole tree not mention score

	Fixed do not add score implicitly if not mentioned in the top select list

	Fixed wrong env for rdf/xml

	Fixed issue getting time within same microsecond interval

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed isue with dfe in loc results

	The dfes in loc results  required can be copies of the canonical
	dfe for the tree that is by sqlo df elt.  So in placing, to detect
	where a dfe in fact is, go to the copy from the canonical.  When
	generating code, go from the copy to the canonical so that if a ssl
	is placed for the remote, the ssl is found when getting the dfe by
	the exp tree

2014-05-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sq pred does not prevent parallel ts seq

	Fixed no dict compression for tps with no collation order

	Fixed describe link

	Added new functions

	Added initial support for 'HTML with nice turtle' output format

	Fixed typo

	Fixed time var should not be static

	Fixed bad constant and use time_t type

	Fixed do not reset fraction in row insert

	Fixed fraction is in nanosecs

	Fixed set fraction in dt using timeofday()

	Fixed issue with databasenames with '_' chars

	Fixed issue in basic snapshot repl

	Fixed build number to 3209

	Added JSON-LD as output format

	Fixed default flag for rdf sync should be non-atomic

2014-05-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed preserve debug info to make debugging easier

	Updated Conductor VAD version number

	Fixed selection of https cert and key from existing vdirs

	Added separate 'Share' action in toolbar

	Fixes for AtomPub support

	Fixed issues with UI on VADs grid

	Fixed missing return status

	Fixed bug in WebDAV skin for edit resources when user is not logged

	Fixed bug with upload of files with size >10MB using WebDAV skin

	Fixed AtomPub support

	Add procedure for DAV API version

2014-05-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed infinite loop when importing stats

2014-05-08  VOS Maintainer  <vos.admin@openlinksw.com>

	Rebuild JDBC drivers

	Rebuild drivers

	Updated version of JDBC driver to 3.69

2014-05-08  Sergey Malinin  <smalinin@openlinksw.com>

	Add geo:geometry predicate to rs.getObject("geo") in JDBC Driver

2014-05-08  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed Virtuoso JDBC driver

	* Fixed memory leak
	* Fixed bug in Statement.cancel()
	* Updated version number

2014-04-29  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of JDBC driver

	Updated version number of sesame2 driver

2014-04-29  Sergey Malinin  <smalinin@openlinksw.com>

	Fixed issue with classcast exception

	Fixed issue with transaction support for bulk inserts

	Added missing JDBC 4 compliant metadata required by JBOSS

2014-04-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated getdate.y

	* Fixed code generation issues with bison 3.0.x
	* Fixed possible namespace issues
	* Fixed compiler warnings

2014-04-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for SET PROFILE mode

	Fixed issue parsing names

	Added missing RSS and Atom files

	Added dropdown menus to WebDV - JS and CSS based

	Added support for RSS, Atom and OPML feed formats

2014-04-23  VOS Maintainer  <vos.admin@openlinksw.com>

	Added optional sponge param for TTL files redirection

	Fixed termType relation in r2rml

	Updated version number of fct vad

	Addd support for graph selection which is persisted in fct state

	Addeds support for link out icons on certain docs and images links

2014-04-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed freetext pred cannot be considered as part of OJ

2014-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of dbepdia VAD package

	Fixed missing lang tag in dbpedia /page

	Updated version of conductor VAD package

2014-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed cartridge UI

	* Updated UI for the page 'Entity URIs'
	* Fixed behaviour of the 'Enable Selected' button

2014-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check if cartridge proc exists else data may not load

	Updated cartridge configure UI

2014-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with join plan

	In a join plan do not put an oj in the seq if the oj's join cond
	is not placeable even if there was a join to the oj outside of its
	join cond.
	---
	 libsrc/Wi/sqljp.c | 25 +++++++++++++++++++++++++
	 1 file changed, 25 insertions(+)

2014-04-09  VOS Maintainer  <vos.admin@openlinksw.com>

	Added client callable func for direct rdf load

2014-04-07  VOS Maintainer  <vos.admin@openlinksw.com>

	fixed if scalar param in itc, set the vec place for it to null in copying

	Fixed sparql delete w/ graph var returns error

	Fixed stub

	Fixed typo

2014-04-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with merging hash join with ts

	A hash join cannot be merged with the ts making the probe if a union
	dt is crossed, ie the hash join is inside a union and the probe is
	outside

2014-04-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with inlined subq select

	Added conductor configuration UI for MakeEntityURI mappings

	Added new description and sponger options as entity link types

2014-04-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Added IO sect during error exit sync for mt dml

	Fixed allow XXX_page to be specified with an absolute path

	Fixed use xmla_get_user

2014-03-31  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed /sparql to use quality of accept headers and take most desired

2014-03-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with sn_group and sn_person tables

	Since V7 does not support that we now create sn_entity as a view
	onto sn_person and sn_group. This, however, requires some updating
	if we have existing data.  To that end we rename the old tables,
	the create the new ones how we want them, copy the old data, and
	finally remove the old tables.

2014-03-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed null pointer deref if ws_path is not set

2014-03-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use proper mask

	This fixes issue reading MULTIPOLYGONs with very "punched" polygons in
	the middle and POLYGONs with very long rings in the middle.

2014-03-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed only check restrictions after vdir resolving

	Fixed check HTTP limit restrictions after resolving the virtual dir

	Updated version of conductor VAD package

	Fixed advanced rules must have group id

	Fixed call RDF_LOAD_RDFXML_PP_GENERIC for all RDF/XML and TTL sources if sponging is enabled

	Fixed always clear connection vars after request is done

	Fixed issue setting HTTP status

	Added extesion to MKCOL to create DET folder

	Fixed PROPATCH method returing XL

	Fixed use ISO format for storing timestamp

	Updated version number of FCT vad package

	Fixed error when no lang is given to fct service

	Added missing grant

2014-03-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Only overwrite sparql limits when defined in connection

	Allow clients using WS.WS."/!sparql/" to set limit via connection_set.

	Added base36 functions

	Fixed use ISO format for storing tstamp

	Added geo_check function

	Added lock error report

	Added option to ignore certain keys when doing backup recovery

	Fixed non box tag, no size limit

	Fixed row wise table in pred with chash and anies in key

2014-03-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bounds check

	Need safety check for more ways than sets because inc branch count
	returns aberrant numbers in cases, e.g.  if previous thread count
	negative

2014-03-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with optional index name

	An opt index name will cause the index to be used also if nulls of
	nullable key parts are not indexed and the index has no conditions
	on key

2014-03-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for xml2json and json2xml

	Added json output for fct service

	Fixed use precompiled queries in usage.vsp

2014-03-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version of iSPARQL package

	Fixed link to pivotviewer

	Fixed issue when ssl connection does not have client certificate

	Fixed issue with vdir->select path from 'Browse'

2014-03-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed xml template may signal an error and leave xenc initialized with non-box

	Added  check for qi_query, as this could be a QF

	Fixed dependency list

	Added missing line

	Updated version of VAD packages

	Fixed serer info

	Added configure proc for 'Linked Data Import' folder

	Fixed issue with DAV_PROP_GET_INT proc an calls with param extern:=0

	Fixed bad URI in autogenerated .rdf file for linked data import

2014-03-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed DET utils

	* Extended DET utils procedures
	* Replaced procedures in DET S3 with DET utils proces

2014-03-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated WebDAV

	* Added option to mount a specific folder
	* Updated UI on Conductor and WebDAV skin

2014-03-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Added oiption to mount a specific folder

	Fixed calles to bad proc

	Fixed replace calls to ODS procs with procs from binary

2014-03-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed make runtime error if inputs are missing and record the query

	Moved initializations of scanners outside QR_RESET_CTX blocks

2014-03-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of engine

2014-03-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixes for csv files

	* Added options for delimiter
	* Fixed when value is null can't guess type, so use string as default

2014-03-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed export only main function calls from plugin

	Changed PERL_XS_APIVERSION to PERL_VERSION_STRING

	Added ODBC 3.x alias for current_date, current_time and current_timestamp

2014-02-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed memory leak in blobs

	Fixed error check

	Fixed check no trigger flag

	Added functions to check blob pages

	Fixed use the target resource/file URL as the graph URI

	Added common proc for DET activity log

	Fixed problem with unnecessary threads for download files

2014-02-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed update should be postponed until after schema has been initialized

	Fixed use same length as in buffer

2014-02-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed calculation of serialization lengths for geo boxes

2014-02-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated documentation

	* Added GEO functions reference
	* Added BAG_ funtion reference
	* Added VECTOR_ funtion reference
	* Added information on vectored execution
	* Updated performance measuring/tuning chapter
	* Updated tips and tricks chapter
	* Fixed xml escapes
	* Fixed typos

2014-02-24  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed compilation of a query with bif:st_intersects inside service {}

	Added statistics for extent maps

	Fixed if no main, then main is finished, so mark the lt to be in an error

	Fixed if a branch needs to log blobs in main lt, children will be rolled back

2014-02-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed calculation of bboxes on parsing typed rdf literal

	Fixed serialization of geo boxes

2014-02-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue checking geo pred with given geo box.

	When checking geo pred with given geo box, read the geo boxes from
	the rdf obj table.  When one is missing there are less rows of out
	than in.  Index the ser dc, the result from the table with the pos
	of the lc. Will not go out of range.  Get the other geo from the
	set of input to which the set of output corresponds

2014-02-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Added option to set write block timeout

	Fixed lock issue in DAV_RDF_SINK_UPDATE

	Fixed the LDP (rest) interactions must be driven by the rel='type' Link header

	Fixed in order to get param, need to have control even hidden

	Fixed 'Linked Data Import' ignored DynamicLocal settings when sponging

2014-02-17  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated package version number to 7.1.0 for final release

	Updated version number of VAD packages

	Fixed skip test

	Updated default settings in virtuoso.ini

2014-02-14  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed debugging

	Merged testsuite

	Changed labels in LD views

2014-02-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use $MAKE

	Simplified killing virtuoso test instances

	Fixed set default test options for VOS

2014-02-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with setps (oby, gby) and dfe dependency

	When placing a dfe record all the setps (oby,gby) between the use
	of the value and its computation, the dfe is added as a gby/oby
	dependent. When placing predicates that are imported into a dt and
	these contain subqs e.g. col = scalar subq where the scalar subq
	is independent of the dt being placed, then disable subq caching.
	If kept caching on but placed the subq before the dt the subq would
	be generated twice because renamed once when importing into the dt

2014-02-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed reset connection variable before no file error

2014-02-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with in predicate and joining to a non-constant s or o

	If g has an in predicate and joining to a non-constant s or o, do
	not count extra cardinality for the different gs in the list.  Assume
	1 value just like for g = const. Else will have exponential error
	and will end up preferring cartesian products and other nonsense
	to the right plan

2014-02-13  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed reset connection variable before no file error

	Fixed TESTS_ENVIRONMENT for running tests

	Fixed use check-local to avoid problems with newer versions of automake

	Added missing BIF key_delete_replay

	Fixed escape double quote in literals

	Updated copyright year

	Updated version to 7.0.1-rc1

	Updated copyright year

	Fixed compiler warnings

	Fixedd always use /bin/sh in shell scripts

	Added missing grant

	Fixed issue with user dba when creating DET folders

	Added missing grant

2014-02-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed bif_define when casemode converts everything to matching case

2014-02-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated GEO functions

	* Added geoc_EPSILON
	* Added new BIFs for getting Z and M coords
	* Added new BIF ST_Affine() (2D transformations only)
	* Optimization in calculation of gcb steps to make number of
	  chained blocks close to square root of lenght of the shape
	* Fixed functions behind st_intersects

2014-02-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing function rdf_vec_ins_triples

	Fixed argument check

	Treat single db file as a single segment with one stripe

	Fixed check c_server_threads

	Added new settings EnableMonitor, CreateGraphKeywords, QueryGraphKeywords

	Fixed initialization of box before plugins/bif_define

	Fixed geo box support for large polygons

	Fixed use volatile in order to avoid wrong calc leadign to gpf

	Fixed when one thread is needed, just use current one

	Fixed geo box for large polygon

	Fixed check argument is string

	Fixed use proper len of dcs array

	Fixed do not use bootstrap to exec as it will leave locks

	Fixed for exact p stat

	Fixed flush on vectored execution in single

	Fixed typo

	Fixed call registry_set from within TXN mutex

	Added initial code for ordered count distinct and exact p stat

	Fixed issue with del/upd in cluster with triggers present

	Added support for buildin inverse functions

	Fixed datetime conversion

2014-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed st_contains() and added new st_may_contain()

	Fixed removed crlf

2014-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated GEO functions

	* Added BIF st_linestring()
	* Added BIF st_transform_by_custom_projection()
	* Fixed mp_box_copy() of long shapes
	* Fixed range checks for coordinates

2014-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Moved geo bif functions from geo.c to bif_geo.c

	Fixed calculation of lat/long ratio for proximity checks

	Added initial draft of st_intersects() for all types except types with arcs

	Extended functionality of st_intersects()

2014-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixes for GEO

	* Added new BIFs ST_Translate() and ST_TransScale()
	* Fixed bboxes in geo_deserialize
	* Fixed st_may_intersect for points
	* Minor fixes to other geo BIFs

2014-02-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed deprecated functions

	Fixed use correct name

	Added new functions bif_list_names() and bif_metadata()

	Updated bif metadata support

	Added support for local dpipes

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed do not do sp stat if very few rows on the seg

	Fixed check for null

	Fixed rdf type card estimate in jp

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with IN pref on a col and an eq on the same

	If there is an in pred on a col and an eq on the same the in is
	likely redundant and should not lead to each value in the in being
	counted as an execution of the operator. This is only if the in
	is by index and there is no other conds

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with running out of memory before making first plan in subq

	Added new flag enable_joins_only

	Fixed issue with ro2lo when IN pred and on a col in rdf

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with deduplication

	If ssl is qr global, it is not a vector and needs no deduplication
	if occurs as param but does need a copy if in a gby key, as these
	are always vectored

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with ssl deduplication

	Due to ssl deduplication in the event of parameters that can be
	vectored with ssls, it can happen that there are 2 ssl with the
	same inx. If so there will be double free if these are placed both
	in the freeable ssls.  So do not put duplicate inxes in freeable
	ssls.

2014-02-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed debug code

	Fixed issues loading Linked Geo Data

	Added missing prototypes

2014-02-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version number of fct VAD package

	Updated version of conductor VAD package

	Fixed normalize paths procedure in WebDAV

	Added missing security CA page to VAD

	Fixed convert pkg name to lower case when looking for vad

	Added new property in virtrdf:label

2014-02-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Debian files

	Updated windows build files

2014-02-04  VOS Maintainer  <vos.admin@openlinksw.com>

	Added trigger for delete temporary graphs used for WebID verification

2014-02-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed UI in content management pages

	Use new sponger auth function if installed

	Updated copyright year

	Fixed test after API changes

	Added function xenc_x509_cert_verify_array

	Added function x509_verify_array

	Fixed bug with sorting and leaving page

	Fixed bug with 'Apply changes to all subfolders and resources' checkbox

	Fixed check for related VAD packages

	Added new CONFIGURE methods to DETs to unify folder creation

	Added verify for WebDAV DET folders

	Added check for newer binary

	Fixed mounted public folder shoudl not have +r for public

	Fixed no default graph selection in /describe

	Fixed issue with spaces in URIs

	Added missing grant

	Added new bifs set_by_graph_keywords and tweak_by_graph_keywords

	Changed describe mode for PivotViewer link

	Added graph param in FCT permalink

	Fixed FCT datatype links

	Fixed the curie may contain UTF-8, so mark string accordingly

	Changed default sort order to date (desc)

	Fixed error when rdf box is returned

	Updated VAD version number

	Fixed DAV rewrite issue

	Fixed UI in content management pages

	Fixed RPC security issue

	Fixed bug deleting graphs

	Fixed manae sponger front page switch to use VAL if installed

	Fixed avoid conversion of mode from 1st page

	Updated UI of some pages related to delete action with common icon

	Added new page in Conductor for managing CA root certificates

	Added optimization of permission verification

	Fixed using external groups in ACLs

	Fixed bugs related to searches after execution of some actions

	Fixed schema for resource URLs in mail content for share/unshare resources

	Fixed URL transformation http <==> https

	Removed duplicate procedure WEBDAV.DBA.user_name

	Fixed issue with DAV rewrite

	Added new CONFIGURE methods to DETs to unify folder creation

	Fixed use correct graph for WebID

	Fixed use VAL to checkout authentication information if installed

	Fixes for WebID

	Added optimization of WebID verification

	Fixed use of external groups in ACLs

	Fixed dav to use proper escape for graphs when uploading

2014-02-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed prototype and function rdtsc to use uint64

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed extension type lookup when base type has no namespace

	Check default param array size

	Fixed cannot run w/o lt_threads of zero

	Fixed if bif is a user defined agg, mark it

	Check there is no more ces on page than fit in max size pm

	Fixed check for NAN and INF in float valued geo inx

	Fixed issue combining results of scalar subq which splits by set

	Fixed remove MaxDirtyBuffers as this will make tsuite slow

	Added settable txn after image limit

	Automatic SPARQL LOAD SERVICE ... DATA in /sparql/ web page.

	Fixed issues in handling geo predicates in SPARQL

	Fixed check for NULL arguments to geo_length function

	Fixed issues in sparp_rvrs_have_same_fixedvalue

	Fixed GPF on non-geo arguments to st_intersects()

	Fixed when persisting triples use silent flag for log_enable

	Fixed check for row wise code local with the no-index flag

	Fixed is cv is local, use flag to indicate use of index is considered not local

	Fixed issues with bits_mix func

	Fixed copyright year

	Fixed max dirty should be between 20% and 90%

	Fixed issue with top oby where stmt in index order

	Fixed issue with qry with oby n a scalar subq with a top oby inside

	Added check if ssl is not -1 or -2 which is special

	Fixed issue with many refs to a cr in current search

	Fixed typos leading to inability to compile

	Fixed issue with deleting procedure across all replicas

	Fixed stub for cluster

	Added option to allow restricting number of id ranges for new IRIs

	Fixed issue with keepalives

	Added missing flag about rdf quad upgrades from v6

	Fixed mem leaks when wrong number of args is used

	Check if distinct is redundant when gb exists and remove

	Fixed must set sp_col when spec is made and referencing column

	Added missing keyword

	Added support for <(type,type,...)type::sql:function> trick in order to eliminate conversion of types on function call

	Added function prototype

	Fixed issue with trans on local daq call

	Fixed exec in sparql compiler and other issues

	Added stat import and export

	Added flag for serialization

	Added Functions for accessing individual rings of polygons

	Fixed spar_shorten_binv_dataset when an equiv is tightened during the run

	Fixed issue sparp_equiv_get_ro(): attempt of returning NULL

	Added per table lock mode option

	Added func to clear iri name cache

	Fixed FCT query error

	Added count read asides for stats

	Fixed vdb stubs

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed RDF view to use multiple quad maps

	The "fill" routine now uses QUAD MAP <qm1> <qm2> ...  <qmN> {...}
	syntax, resulting in better BREAKUPs.

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed UNION and BREAKUP

	* Fix for calculation of valmode of equivs in UNIONs with constants
	* Fix for UNION vs BREAKUP decision for select ?o { ?s ?:p ?o }

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Renamed triple.qm_iri_or_pair is to sinv_idx_and_qms

	Use dc append box copies

	Check which rtree to use in geo preds

	Fixed support for ST_GeometryN()

	Added support for NULL arguments in spatial functions

	Added initial support for DE9IM bitmasks

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new geo functions

	* GeometryType()
	* ST_NumGeometries()
	* st_get_bounding_box_n()
	* Partial implementation of ST_GeometryN()
	* Fixes for GEOMETRYCOLLECTION

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed compilation of FILTER (st_intersects(?o1, ?o2))

	Added support for NUKLL arguments in spatial functions

	Fixed codegen for BREAKUP in queries on RDF views

	Fixed typo in error message

	Fixed check that set nos are copied when aggr, not for hash filler

	Fixed no graph keywords

	Added safety check

	Fixed check if hash build comes out empty

	Fixed inlined subq nodes do not count for ssl ref, only for ssl branch copy

	Fixed copy hash filler subq tree before destructive change by scope

	Fixed issue with constant card when inlining conscutive hash sources

	Fixed do subq sources in qfs recursively

	Fixed sort the out slots of a qf/dfg by inx to get predicatable order

	Fixed do not rescope when removing table from join

	Fixed the after test of a dt must survive inlining the dt

	Fixed a derived table with a breakup cannot import preds from enclosing qr

	Use VAL to check authentication information if installed

	Added query test framework API

	Fixed error when rdfbox is returned

	Fixed compiler warnings

	Fixed check for getrusage

	Fixed compiler warning

	Fixed declaration after statement

	Updated version of VAD

	Fixed issue in rewrite

	Fixed UI ofn content management pages

	Fixed MD5(NULL) should return NULL

	Fixed check if pred is true or false to prevent crash

	Fixed check regexp pattern to be string

	Added check for non-string argument to regexp

	Fixed use strict array check for gvector sort

	Fixed dynamic local for vectored

	Added sort for column privs to always get same result

	Fixed mem leak when using xcontains and procedure view

	Fixed issue with dpipe in union branches

	Fixed save pre-code of qn across qnode instr

	FIxed target ssl on cond in breakup

	Added more virtrdf:qmfHasCheapSqlval properties

	Fixed temp disabled code

	Smarter ssg_smallest_union_valmode in order to get sql valmode instead of long valmode when sqlval is cheaper.

	Fixed describe on non-exclusive rdf view in virtrdf:DefaultQuadStorage

	Fixed do not crash on bitmap pos out of range, return it is at end and log error

	Fixed check if left dfe is actually a column

	Fixed take length from dv

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial support for list of quad maps in SPARQL BI

	SPARQL-BI extended:
	  list of quad maps in QUAD MAP X Y Z {...}
	  instead of a single quad map in QUAD MAP X {...}.

2014-01-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check for unions in dts inside aggregation/oby

	Added support for geosparql wkt type literal as synonym

	Fixed geo pred in sql table

	Fixed geo pred in a sql table

	Added wrapper for xqf_str_X bifs as they return different types

	Added initial support for vectored iri to id

	Fixed the function printing in http cannot be run in QP

	Fixed box flag setting functs are not transferable

	Fixed take age limit as 2/3 of it to prevent sleep on bp mtx

	Fixed mask out the non relevant bits

	Added new codegen for initial fill of RDB2RDF

	Fixed numeric samples can be ints for a num col

	Fixed count incr in seq scanned as sampled rows on col wise table

	Added get min/max for a few more dtps

	Fixed added dummy string collation order for GEO objects

	Fixed box check

	Fixed anyfication in itc set blob col is bypassed, in order to ret deserialized obj

	Fixed max length should be int not short, in case of long any cast

	Added new functions vec_length and vec_ref

	Fixed check if ht is empty

	Fixed always return box, not number

	Removed unused function call

	Added dfe filter

	Fixed check batch sz

	Added check for system tables in ddl_changed

	Fixed compiler warnings

	Added check for stack size limit

	Added vdb stubs

	Added functions to allocate session pool

2014-01-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed shorten thread mtx sect

	Fixed profile to avoid divide by 0

	Fixed do not print unused slots

	Fixed safe plan of slevel and isolation of item

	Added option to set mp block size of less contention in run stored proc

	Fixed messages

	Fixed autocompacting to prevent sleeping n bp mtx too often

	FIxed count flushable range worth of bufs and flush if too many

2014-01-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Additional sync fixes

	* Use max dirty to set ranges of potentially fushable buffers
	* Trigger flush earlier to interleave flush and bulk load

2014-01-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Added diag msg for high write rate

	Added support for multithreaded sync/flush

	Additional RPC checks

	Fixed portability of rdtsc function for timing/profiling

	Removed deprecated file

2013-12-10  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version t 6.1.9-dev to star new release cycle

	Fixed version number of VAD package

	Fixed version number of VAD package

	Updated ChangeLog

	Updated version to 61.8 for final release

	Fixed delay in bpel testsuite

	Fixed packing list

	Use git2cl script to generate ChangeLog

	Added missing file to distribution

	Updated NEWS

	Fixed only free regular boxes

	Fixed creation DET IDs needed for ETAGs

2013-12-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues with HTML edit code

	Fixed inactive subtab on Linked Data | Graphs page

2013-12-05  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issues building on Windows

	Fixed issue opening Linked Data | Schemas tab

	Fixed compiler warnings

2013-12-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed wrong define

	Fixed use unbox to show proper pid

	Added enable_inline_sqs flag for dbf_descs

	Fixed missing protection on qr_ref_count

	Fixed issues with ordered gby

	Fixed integer overflow in cost est by using double

	Fixed get error code from correct thread

	Added optimization from analytics branch

	Fixed issue with heterogeneous

	Merged missing patch for chash

	Fixed when column is blob, do not try to convert string const to blob

	Fixed small bugs

	FIxed issues with compact

	Fixed query in order to fix scheduler to run

	Allow redef of default namespace in same scope for historical reasons

	Fixed crash in turtle sniffer

	Removed duplicate prototype

	Added define to enable large inst

	Missing define

	Fixed comments

	Fixed enable large path elements to support DI sigs

	Fixed if text is null put a zero

	Fixed make ssl dtp any in order to get complete boxes

	Fixed issue with heterogenous

	Fixed memleak

	Fixed missing stub

	Removed deprecated call

	Added missing stub

	Fixed inline subq if breakup

	Fixed remove unused call

	Fixed comment out debug lines

	Fixed issue with ssl ref if shared ins qnode after a union all aggr

	Fixed issue with blob column

	Fixed wrong execution plan

	Fixed issue with vectored proc call from with set mask

	Fixed if mt txn non txn insert then do not autocommit on main

	Fixed itc_clear seems to leave pages, it should only clean siblings

	Fixed issue with xqr serialization

	Fixed stub func

	Fixed a dt implies unknown order for gby

	Fixed check if pred avail

	Fixed issue with text pred

	Initial implementation of non vect clause

	Initial implementation for not vect sect in proc

	Fixed issue user defd agg and parallelization

	Fixed reset col dtp when coercing type to more generic

	Fixed crash on transitive queries

	Fixed if all equalities on same column, convert OR to IN list

	Fixed  if all equalities on same column, convert OR to IN list

	Fixed limit OR to union to save stack

	Fixed better support for combination of T_DIRECTION 3 and T_STEP (var)

	Fixed cost of gby, recognize rdf tyupe rped also if literal iri id

	Fixed do special card for rdf type

	Fixed issue in cost based optimizer

	Fixed better condition if o2s pattern

	Fixed preserve initial order

	Fixed force getting p stat first when making initial join order plan

	Fixed col samples hash table in setting p stats when inf

	Fixed check inx bounds

	Fixed put size cap on hash join build

	Fixed geo cost of non point geos where no explicit prec

	Fixed consider if dyn batch sz is on for costing of inx lookups

	Fixed check NAN and INF

	Fixed malloc debug

	Fixed mark allocs

	Fixed memory leak when signalling an error inside vec slots assignment

	Fixed bad bif definition

	Fixed initialize output array

	Fixed support of clone for binding invocation

	Fixed when sorted set is smaller than input, break as rest is empty

	Fixed issue with parallel rdf materialization

	Fixed for small colwise table sample, do not look at left dummy on leaf

	Fixed do not reset the in sample bit on non leaf pages

	Fixed check early if col pred is suitable for LIKE

	Fixed chash fill is single state even if qr is multistate

	Fixed issues with streaming gby chash

	Fixed wrong compare for distinct when more than one key part

	Fixed use temp space on stack for gb values

	Fixed hash source can be head of qf if separately partitioned

	Fixed issues with mem pool

	Fixed when mem is from pool, do not free, just replace

	Fixed use dk api

	Fixed use boxes

	Fixed memory leak

	Fixed use non box dcs, less copying

	Fixed issues with FT index

	Fixed error msg

	Fixed do not aquire log mtx if nothing to log

	Fixed in col ac, ceic must be defined in itc compact

	Fixed check only running clients

	Fixed typo

	Fixed only check for remap in remap ht in debug mode

	Added support for large QI instances like ecrm rdf view

	Fixed mtx names

	Fixed use boxes

	Added opt to keep n array of buffers containing the free set of a dbs

	Fixed triggers which reference rdf should be recompiled after rdf init is done

	Fixed memory leaks

	Fixed memory leaks

	Fixed when returning null make sure acc is released to avoid mem leak

	Fixed memory leaks

	Fixed use sized free on gz compress

	Fixed use proper filename of query log

	Added sparql cap for v7 mem ck

	Fixed do not use mtx for non-debug binary

	Fixed the size of av items a known, so make correct counts

	Fixed need counter of allocas, not approx size

	Fixed more non sz free

	Fixes for xm parse and sized free

	Added XML parser malloc/free with size

	Fixed thr mem cache clear of aq and ws threads

	Fixed issues with mem dbg

	Fixed unregister mp before free

	Added mtx to protext mp hash lookup

	Added mem counters

	Fixed use size_t for compiler mem pool max

2013-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Added initial mem checks

	Added malloc status report

	Added malloc status report

	Fixed check if running on internal client

	Ignore .patch files

	Fixed issue in token parsing

	Fixed duplicate function after merge

	Fixed memory leak

2013-12-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated geo support

	* Added initial support for st_may_intersect
	* Improved I/O for geometries in SQL
	* Added support for boxes
	* Fixed non txn insert
	* Fixed bootstrap cli

2013-11-28  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated version to 6.1.8-rc1

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added missing stub

	Fixed missing copy

	Fixed move setp/agg inside each branch of union all if followed by agg

	Fixed non txn insert

	Fixed if in a union branch, no partitioned setps

	Fixed allow colocate and parallelize of arbitrary func if mt txn is on

	Fixed pass non txn insert to qp thread

	Added up setsp in union branches

	Fixed prototypes

	Removed deprecated free

	Fixed issue in union

	Fixed union agg members

	Added floor to both xpf: and xqf: namespaces

	Fixed overflow in txs_geo and itc_geo_op

	Fixed TriG parser

	Fixed allow calling qr print from gdb

	Added mappiong between qqnodes and dfes

	Fixed use mtx to get time of parse crit sect

	Added deadlock retry block

	Fixed issue with missing column scale

	Fixed deleted duplicate code

	Fixed issue with rdf_obj lookup

	Fixed run cpt after rdf md update

	Fixed should commit before running aq wait

	Fixed declaration after stmt error

	Fixed geo deserialize handle wrong serialization data

	Fixed issue with incorrect SQL syntax for EXISTS query

	Fixed handle 30x redirects when calling remote endpoint

	Updated engine version

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new configuration options

	* Added CreateGraphKeywords to [SPARQL]
	* Added QueryGraphKeywords to [SPARQL]
	* Added sys_stat('rdf_create_graph_keywords')
	* Added sys_stat('rdf_query_graph_keywords')

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed report read error to client instead of GPF

	Fixed typo

	Fixed UNAMEs can be serialized ad DV_STRINGsd with flags BF_IRI and BF_UNAME_AS_STRING

	Fixed issue with generating coalesce wrap

	Fixed issue with ddl change

	Added new variable to adj vec size

	Fixed set qi mp block sz according to expected size utilization

	Fixed turn off parallell query in atomic mode as it will hang

	Fixed issue with box deserialize string

	Fixed issue with two cols that are eq and on same probe

	Fixed short name

	Added more primes for hash

	Fixed issue checking prime

	Fixed issue with single derived table to rhs of inner join

	Fixed memcpy

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new SPARQL triple/group/subqery OPTION

	* Added TABID <sql-alias> option to specify some meaningful table
	  alias in the generated SQL

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with excl mode in blob commit

	Fixed issue with inline an oj rhs if this selects a const

	Fixed support for MALLOC_DEBUG inside SPARQL compiler

	Fixed issue building on Mac OS X 10.9

	Fixed check for crash dump mode

	Fixed check more unames for IN list function

	Fixed missing return value

	Fixed opening tag on XML plan

	Disabled graph keywords insert

	Added parameters to control size of column wise structures

	Fixed issue with union continuation with many consecutive unions

	Fixed use of uname for one_of_these instead of string

	Fixed consider an IN pref like an EQ else miss obvious card restrict

	Fixed get ro id from dc of rdf boxes even if incomplete

	Fixed issue with jsp with trans dts

	Improved search for common supertypes for valmode of an equiv

	Added support for incomplete RDF boxes to bif_sprintf_inverse

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixes for SPARQL

	* Optimized codegen
	* Added new TABLE_OPTION (EST_TIME.... EST_SIZE....)

2013-11-27  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with STRLANG on rdf boxes

	Improved RDFA output

	Fixed moved check for num pages in col segment

	Added optimization on fetching col seg

	Added optimization when splitting on scattered inserts

	Fixed do not make mmap for mp alloc if large frag size < blksz / 2

2013-11-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing defines

	Added function predicate_name_of_gsop

	Fixed when assign mark, set dc_n_values so it doesnt reset to 0

	Fixed match return type by checking param

	Fixed GPF on log replay of possible geodata

	Fixed make cs reset lenght check switchable, on by dflt

	Fixed print precision

	Fixed shorter iri names for explain

	Fixed formatting

	Fixed as length of string boxes is always +1, copy one char less

	Added check to see if wb tsuite is installed

	Fixed initialization of  return value

	Added initial support for execution profile in xml format

	Fixed error in loading graph group membership data into in-mem dict

	Fixed audit execution issue with mismatched Is and IRI_IDs

	Fixed audit execution error

	Fixed lexial depth tresholds

	Fixed reentrant lexer

	Fixed when schema changes the queries should be re-compiled

2013-11-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated monitor

	* Added proper CPU read percent calculation
	* Added checks for disk, locks, memory, mmap and threads
	* Added option MonitorEnable config option
	* Code cleanups

2013-11-26  VOS Maintainer  <vos.admin@openlinksw.com>

	Added vectored name id cache ops

	Added function to check if lt is in  uncommitted state

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed check if vad file exists before checkpointing

	Fixed when JP is enabled, skip text pred from tb list

	Rolled back condition as ac would block on txn

	Fixed aqueue trans checks

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed trans handling

	* Fixed when rolling back other transaction do not wait for cpt
	* Fixed itc_col_row_check should use may_ret flag true

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed save/restore sqlc_client

	Fixed return 64bit integer

	Fixed itc should not reset previously set params

	Fixed signal error when not enough args are supplied

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed sparql to sqltext translation

	* Fix issue with datatype of date fields
	* Fix for if()
	* Fix for multi-part neede valmode of coalesce
	* Fix calculation of union valmode for bool/num with
	  sqlval and SHORT_OR_LONG with num

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for application/x-nice-microdata SPARQL format

	Fixed should not place permission filters inside service invocation

	Fixed profile function

	Added new functions

	Fixed when p card is known then ignore g stat

	Fixed use non box dcs to reduce copying of boxes

	Added vectored and dpipe version of i2in

	Fixed issue with FT index

	Fixed flush on max dc size to get better performance

	Fixed flush the dpipe on dc size

	Fixed issue with hash join or hash join prefiler with an any with sets

	Fixed issue with itc matches that repeat frequently

	Added mmap meter

	Added dfe type for filter as a separate dfe

	Update R2RML vad version

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed r2rml

	* Fixed support of multiple graphs
	* Make default exclusive not soft option as soft causes more complex
	  and slow queries with vdb

2013-11-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed support for multiple graphs in one r2rml from one datasource

2013-11-22  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue if buf is null which can happen if deleted

2013-11-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed creation of ETAGs for DET resources

2013-11-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue editing html files

2013-11-19  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed comment

	Fixed double free of client session

	Added support to store order and direction between sessions

	Fixed transitive test

2013-11-18  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated vad version for FCT

	Fixed do not display error messages unless query parameter dbg=1

	Copied virt_rdf_label.sql locally

2013-11-15  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new column 'Date Added' for external DET drives

2013-11-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with t_step in transitive query

	Added JSON functions

	Fixed compiler warnings

	Fixed missing prototype

2013-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use lt_wait_checkpoint_lt

	Added new general-purpose HTTP auth procedure

2013-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed rpc arg checks

	* Added extra rpc error handlers
	* Added more checks for array types
	* Added check for neg values

2013-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed use explicit 64bit integer

2013-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed rpc arg checks

	* Added extra rpc error handlers
	* Added more checks for array types
	* Added check for neg values

2013-11-11  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed default edit mode for HTML files to 'source'

	Fixed plain text content for file

	Fixed toggle bug between html and plain text

	Added procedures related to selected items

	Fixed check

	Fixed encoding of selected items

	Fixed representation of selected items

	Added automatic creation of shared DET folders

	Fixed issue creating DET folders

	Added missing page

	Added new pages for graph level security

	Simplified code

	Fixed encoding bug for non-english user names

	Fixed view pane height for pages with navigation buttons

	Fixed typo

2013-10-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed build issue running shell scripts

	Fixed build issue running shell scripts

2013-10-21  Anthony Goddard  <anthony@anthonygoddard.com>

	Added required semicolon to help text

2013-10-21  VOS Maintainer  <vos.admin@openlinksw.com>

	Removed deprecated symbols

2013-10-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed filesystem permissions

	Fixed bug loading parameters for WebDAV

	Added error page for WebDAV skin

	Fixed issue in 'Edit Properties'

	Added select option for realms and groups

2013-10-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed stylesheet

	* Added rules for grids and forms
	* Removed unused styles

2013-10-20  VOS Maintainer  <vos.admin@openlinksw.com>

	Added double click to open edit properties on item

	Removed color from the visited folders and files

	Fixed no not  add columns inside v5 define

	Added new column 'Date Added' for external DET drives

	Fixed the depth of PROPFIND

2013-10-02  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed in bloom filters, strses has no dks, just large out buffer

	Fixed compiler warning

	Fixed if HT allows dups then the temp ht should also

	Fixed mtx options

	Fixed mtx names

	Fixed missing entries

	Fixed duplicate definitions

	FIxed need to place free mark in block in case reusing from cache

	Fixed mtx name

	Fixed EMSGSIZE is defined on VS2010

2013-10-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed missing definitions

	Fixed make remap if missing in compact

	Added support for handling MIME type aliases

	Moved handling no-sponge pragma

	Added support for PL-as-BIFs in SPARQL

	Fixed issue BIT_OR_AGG function

	Fixed issue with 64-bit integers

	Fixed issue with roundl which is not portable

	Fixed issue with unsupported scalar expression type

	Added support for the '-' operator for datetime data types

2013-10-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Added support for sparql VALID()

	VALID is used to filter out invalid literals of built-in types

2013-10-01  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed support for 64bit integers

	Merged missing function back from v7

	Fixed condition to stop for cpt

	Fixed issue with cpt rollback outside of txn

	Fixed check to see if decoded string is long enough

	Added DSA bits param

	Fixed check existing DSN to see if it is configured properly

	Removed ODS blog code from engine

	Updated version of dbpedia VAD package

	Added process info to page footer

	Reverted bad patch

	Optimized label and lang queries

	Fixed to always use vad_version

	Added missing images

	Updated version of Conductor VAD

	Fixed minor issues and whitespace

	Added missing files

	Fixed default isolation level and charset

	Updated sse support

	Fixed issue when retrieving .TTL files from DynRes DET folders

	Fixed default mime type for created files to text/plain

	Fixed issue when source file not set for upload

	Added new grid column 'Date Created'

	Fixed problem uploading bad .TTL files

	Added support for virtuoso *,meta files

	Fixed Briefcase Skin MIME type

	Fixed problem with default user/group in uploads

	Fixed "Unknown" shown for actual ACL resources

2013-09-30  VOS Maintainer  <vos.admin@openlinksw.com>

	Added new grid column 'Date Created'

	Fixed bug with exec permissions and non admin users

	Removed duplicate procedure

	Fixed move code from ODS to engine

	Fixed bug with loading and editing ACLs

	Fixed use static vad_version for build number

	Added exception for the /conductor virtual path in WebDAV skin

	Fixed bugs related to selection, check and set groups

	Fixed dependency list

	Fixed 'Up' action for WebDAV skin and virtual paths

	Fixed bugs with non-english item names in WebDAV skin

	Fixed sending emails

	Fixed problem with timeouts on verification IMAP DET folders

	Fixed problem with editing text/html files

	Added new path for WebDAV skin images

	Fixed use lpath only if on same domain i.e. directory

	Fixed use logical path

	Replaced ISO-8859 with UTF-8

	Fixed issues with retrieving .TTL files from DynRes DET folders

	Added missing support functions

	Fixed problem with permissions for WebID authentication

	Fixed issue with uploading bad .TTL files

	Fixed minor issues

	Fixed issue with QoS rewrite rule for text/html

	Fixed support for TTL upload files

	Added new procedure to set HTTP status

	Fixed problem with editing text/html files

	Removed set http status from DAV_AUTHENTICATE_HTTP

	Fixed PROPPATCH command related to update

	Fixed undefined procedure bug for DynaRes DET

	Added support for LDP paging

	Fixed FCT VAD version

	Fixed use html5 based pivot viewer if installed

	Fixed if bad encoding causes regexp to signal error, skip and do not alter text

	Fixed use the new fast label matching for lang pref if available

	Fixed sponging via /describe failed on https

	Added more navigation links in header

2013-09-25  VOS Maintainer  <vos.admin@openlinksw.com>

2013-09-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Sesame2 provider

	* Improved speed of batch delete
	* Removed unnesserary commit

2013-09-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated JDBC driver

	* Added staticstics for Connection Pool
	* Fixed speed of finalize

2013-09-25  VOS Maintainer  <vos.admin@openlinksw.com>

2013-09-25  VOS Maintainer  <vos.admin@openlinksw.com>

	Updated Jena providers

	* Removed unnsessary commits in VirtBuldUpdateHandler
	* Removed unnessesary check that graph exists after remove
	* Replaced  n.getLiteralValue().toString() with n.getLiteralLexicalForm()
	* Updated  VirtGraph.delete(Iterator<Triple> it, List<Triple> list)
	  was updated to use more faster "SPARQL DELETE  FROM {   }" call

2013-08-12  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed lexer for TRIG

2013-08-07  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue  with owner of the resource created with WebID auth

	Fixed issue with DAV QoS re-write rule for text/html

2013-08-06  VOS Maintainer  <vos.admin@openlinksw.com>

	Added xpf:floor to both xpf and xqf namespaces

2013-08-03  VOS Maintainer  <vos.admin@openlinksw.com>

	Fixed issue with user aggreate missing from windows build

